local ElvUI_EltreumUI, E, L, V, P, G = unpack(select(2, ...))
local _G = _G
local IsAddOnLoaded = _G.IsAddOnLoaded
local GetAddOnMetadata = _G.GetAddOnMetadata
local valuecolors = E:ClassColor(E.myclass, true)
local myclass = E.myclass
local GetCVar = _G.GetCVar

if ElvUI_EltreumUI.TBC then
	function ElvUI_EltreumUI:SetupLayout(layout)
		if not E.db.movers then E.db.movers = {} end

		-- Setup UI Scale
		ElvUI_EltreumUI:SetupScale()

		-- Setup Global DB
		ElvUI_EltreumUI:SetupGlobal()

		-- Setup Private DB
		ElvUI_EltreumUI:SetupPrivate()

		--Setup CVars
		ElvUI_EltreumUI:SetupCVars()

		-- AddOnSkins Profile
		if IsAddOnLoaded('AddOnSkins') then
			ElvUI_EltreumUI:GetASProfile()
		end
		-- Private DB
		E.private["install_complete"] = "12.24"
		E.private["skins"]["parchmentRemoverEnable"] = true

		-- AB Conversion
		E.db["convertPages"] = true

		-- General
		E.db["general"]["autoRepair"] = "GUILD"
		E.db["general"]["autoTrackReputation"] = true
		E.db["general"]["backdropcolor"]["b"] = 0
		E.db["general"]["backdropcolor"]["g"] = 0
		E.db["general"]["backdropcolor"]["r"] = 0
		E.db["general"]["backdropfadecolor"]["a"] = 0.70000001788139
		E.db["general"]["backdropfadecolor"]["b"] = 0
		E.db["general"]["backdropfadecolor"]["g"] = 0
		E.db["general"]["backdropfadecolor"]["r"] = 0
		E.db["general"]["bonusObjectivePosition"] = "RIGHT"
		E.db["general"]["bottomPanel"] = false
		E.db["general"]["font"] = "Kimberley"
		E.db["general"]["fontStyle"] = "THICKOUTLINE"
		E.db["general"]["interruptAnnounce"] = "RAID"
		E.db["general"]["loginmessage"] = false
		--E.db["general"]["minimap"]["icons"]["calendar"]["position"] = "TOPLEFT"
		--E.db["general"]["minimap"]["icons"]["calendar"]["xOffset"] = 3
		--E.db["general"]["minimap"]["icons"]["calendar"]["yOffset"] = -38
		E.db["general"]["minimap"]["icons"]["difficulty"]["position"] = "BOTTOM"
		E.db["general"]["minimap"]["icons"]["difficulty"]["scale"] = 1.2
		E.db["general"]["minimap"]["icons"]["mail"]["position"] = "BOTTOM"
		E.db["general"]["minimap"]["icons"]["mail"]["scale"] = 1.2
		E.db["general"]["minimap"]["icons"]["mail"]["texture"] = "Mail1"
		E.db["general"]["minimap"]["icons"]["mail"]["xOffset"] = 0
		E.db["general"]["minimap"]["icons"]["mail"]["yOffset"] = -27
		E.db["general"]["minimap"]["icons"]["tracking"]["enable"] = false
		E.db["general"]["minimap"]["locationFont"] = "Kimberley"
		E.db["general"]["minimap"]["locationFontOutline"] = "THICKOUTLINE"
		E.db["general"]["minimap"]["locationFontSize"] = 14
		E.db["general"]["minimap"]["locationText"] = "SHOW"
		E.db["general"]["minimap"]["resetZoom"]["enable"] = true
		E.db["general"]["minimap"]["resetZoom"]["time"] = 10
		E.db["general"]["minimap"]["size"] = 200
		E.db["general"]["objectiveFrameHeight"] = 550
		E.db["general"]["resurrectSound"] = true
		E.db["general"]["totems"]["growthDirection"] = "HORIZONTAL"
		E.db["general"]["totems"]["size"] = 30
		E.db["general"]["totems"]["sortDirection"] = "DESCENDING"
		E.db["general"]["totems"]["spacing"] = 3
		E.db["general"]["valuecolor"]["b"] = valuecolors.b
		E.db["general"]["valuecolor"]["g"] = valuecolors.g
		E.db["general"]["valuecolor"]["r"] = valuecolors.r
		E.db["general"]["vehicleSeatIndicatorSize"] = 76

		-- Bags
		E.db["bags"]["bagSize"] = 35
		E.db["bags"]["bagWidth"] = 412
		E.db["bags"]["bankSize"] = 35
		E.db["bags"]["bankWidth"] = 412
		E.db["bags"]["clearSearchOnClose"] = true
		E.db["bags"]["countFont"] = "Kimberley"
		E.db["bags"]["countFontOutline"] = "OUTLINE"
		E.db["bags"]["countFontSize"] = 12
		E.db["bags"]["itemInfoFont"] = "Kimberley"
		E.db["bags"]["itemInfoFontOutline"] = "OUTLINE"
		E.db["bags"]["itemLevelFontSize"] = 12
		E.db["bags"]["itemLevelFont"] = "Kimberley"
		E.db["bags"]["itemLevelFontOutline"] = "OUTLINE"
		E.db["bags"]["junkDesaturate"] = true
		E.db["bags"]["junkIcon"] = true
		E.db["bags"]["showBindType"] = true
		E.db["bags"]["split"]["bagSpacing"] = 7
		E.db["bags"]["transparent"] = true
		E.db["bags"]["vendorGrays"]["enable"] = true

		-- Chat
		E.db["chat"]["chatHistory"] = false
		E.db["chat"]["hideCopyButton"] = true
		E.db["chat"]["hideVoiceButtons"] = true
		E.db["chat"]["fadeTabsNoBackdrop"] = false
		E.db["chat"]["font"] = "Kimberley"
		E.db["chat"]["fontOutline"] = "OUTLINE"
		E.db["chat"]["fontSize"] = 12
		E.db["chat"]["inactivityTimer"] = 20
		E.db["chat"]["panelColor"]["a"] = 0.70000001788139
		E.db["chat"]["panelColor"]["b"] = 0
		E.db["chat"]["panelColor"]["g"] = 0
		E.db["chat"]["panelColor"]["r"] = 0
		E.db["chat"]["panelTabTransparency"] = true
		E.db["chat"]["panelHeight"] = 180
		E.db["chat"]["panelWidthRight"] = 400
		E.db["chat"]["tabFont"] = "Kimberley"
		E.db["chat"]["tabFontSize"] = 14
		E.db["chat"]["tabFontOutline"] = "OUTLINE"
		E.db["chat"]["tabSelectorColor"]["b"] = valuecolors.b
		E.db["chat"]["tabSelectorColor"]["g"] = valuecolors.g
		E.db["chat"]["tabSelectorColor"]["r"] = valuecolors.r
		E.db["chat"]["throttleInterval"] = 20

		-- Cooldown Text
		E.db["cooldown"]["fonts"]["enable"] = true
		E.db["cooldown"]["fonts"]["font"] = "Kimberley"
		E.db["cooldown"]["fonts"]["fontOutline"] = "THICKOUTLINE"

		-- DataBars
		E.db["databars"]["colors"]["experience"]["a"] = 0.5
		E.db["databars"]["colors"]["rested"]["a"] = 0.20000004768372
		E.db["databars"]["customTexture"] = true





		--[[
		E.db["databars"]["experience"]["font"] = "Kimberley"
		E.db["databars"]["experience"]["fontOutline"] = "THICKOUTLINE"
		if GetCVar('gxFullscreenResolution') == "3140x2160" or GetCVar('gxWindowedResolution') == "3140x2160"  then
			E.db["databars"]["experience"]["height"] = 203
			E.db["databars"]["reputation"]["height"] = 203
		elseif GetCVar('gxFullscreenResolution') == '2560x1440' or GetCVar('gxWindowedResolution') == "2560x1440"  then
			E.db["databars"]["experience"]["height"] = 204
			E.db["databars"]["reputation"]["height"] = 204
		elseif GetCVar('gxFullscreenResolution') == "1920x1080" or GetCVar('gxWindowedResolution') == "1920x1080"  then
			E.db["databars"]["experience"]["height"] = 204
			E.db["databars"]["reputation"]["height"] = 204
		elseif GetCVar('gxFullscreenResolution') == "auto" or GetCVar('gxWindowedResolution') == "auto"  then
			E.db["databars"]["experience"]["height"] = 204
			E.db["databars"]["reputation"]["height"] = 204
		else
			E.db["databars"]["experience"]["height"] = 204
			E.db["databars"]["reputation"]["height"] = 204
		end
		E.db["databars"]["experience"]["hideInCombat"] = true
		E.db["databars"]["experience"]["mouseover"] = false
		E.db["databars"]["experience"]["questCompletedOnly"] = true
		E.db["databars"]["experience"]["questCurrentZoneOnly"] = true
		E.db["databars"]["experience"]["questTrackedOnly"] = true
		E.db["databars"]["experience"]["width"] = 10
		E.db["databars"]["reputation"]["enable"] = true
		E.db["databars"]["reputation"]["font"] = "Kimberley"
		E.db["databars"]["reputation"]["fontOutline"] = "THICKOUTLINE"
		E.db["databars"]["reputation"]["hideInCombat"] = true
		E.db["databars"]["reputation"]["mouseover"] = false
		E.db["databars"]["reputation"]["width"] = 10
		]]--
		--new experience
		E.db["databars"]["experience"]["font"] = "Kimberley"
		E.db["databars"]["experience"]["fontOutline"] = "OUTLINE"
		E.db["databars"]["experience"]["fontSize"] = 10
		E.db["databars"]["experience"]["height"] = 12
		E.db["databars"]["experience"]["mouseover"] = true
		E.db["databars"]["experience"]["questCompletedOnly"] = true
		E.db["databars"]["experience"]["questCurrentZoneOnly"] = true
		E.db["databars"]["experience"]["questTrackedOnly"] = true
		E.db["databars"]["experience"]["showBubbles"] = true
		E.db["databars"]["experience"]["showLevel"] = true
		E.db["databars"]["experience"]["textFormat"] = "CUR"
		E.db["databars"]["experience"]["width"] = 500
		--new reputation
		E.db["databars"]["reputation"]["enable"] = true
		E.db["databars"]["reputation"]["font"] = "Kimberley"
		E.db["databars"]["reputation"]["fontOutline"] = "OUTLINE"
		E.db["databars"]["reputation"]["fontSize"] = 10
		E.db["databars"]["reputation"]["height"] = 12
		E.db["databars"]["reputation"]["mouseover"] = true
		E.db["databars"]["reputation"]["showBubbles"] = true
		E.db["databars"]["reputation"]["textFormat"] = "REM"
		E.db["databars"]["reputation"]["width"] = 500


		E.db["databars"]["threat"]["enable"] = true
		E.db["databars"]["threat"]["font"] = "Kimberley"
		E.db["databars"]["threat"]["fontOutline"] = "OUTLINE"
		E.db["databars"]["threat"]["fontSize"] = 12
		E.db["databars"]["threat"]["height"] = 22
		E.db["databars"]["threat"]["orientation"] = "HORIZONTAL"
		E.db["databars"]["threat"]["width"] = 412

		-- DataTexts
		E.db["datatexts"]["font"] = "Kimberley"
		E.db["datatexts"]["fontOutline"] = "THICKOUTLINE"
		E.db["datatexts"]["noCombatClick"] = true
		E.db["datatexts"]["noCombatHover"] = true
		E.db["datatexts"]["panels"]["LeftChatDataPanel"][1] = "ElvUI Config"
		E.db["datatexts"]["panels"]["LeftChatDataPanel"]["left"] = "ElvUI Config"
		E.db["datatexts"]["panels"]["LeftChatDataPanel"][2] = "Durability"
		E.db["datatexts"]["panels"]["LeftChatDataPanel"]["middle"] = "Durability"
		if myclass == 'HUNTER' or myclass == 'WARLOCK' then
			E.db["datatexts"]["panels"]["LeftChatDataPanel"][3] = "Ammo"
		else
			E.db["datatexts"]["panels"]["LeftChatDataPanel"][3] = "Friends"
		end
		E.db["datatexts"]["panels"]["LeftChatDataPanel"]["border"] = false
		E.db["datatexts"]["panels"]["LeftChatDataPanel"]["panelTransparency"] = true
		E.db["datatexts"]["panels"]["LeftChatDataPanel"]["right"] = "Guild"
		E.db["datatexts"]["panels"]["MinimapPanel"][1] = "Time"
		E.db["datatexts"]["panels"]["MinimapPanel"][2] = "Coords"
		E.db["datatexts"]["panels"]["MinimapPanel"]["border"] = false
		E.db["datatexts"]["panels"]["RightChatDataPanel"][2] = "Combat Time"
		E.db["datatexts"]["panels"]["RightChatDataPanel"]["border"] = false
		E.db["datatexts"]["panels"]["RightChatDataPanel"]["left"] = "System"
		E.db["datatexts"]["panels"]["RightChatDataPanel"]["middle"] = "Combat Time"
		E.db["datatexts"]["panels"]["RightChatDataPanel"]["panelTransparency"] = true

		-- Tooltip
		E.db["tooltip"]["alwaysShowRealm"] = true
		E.db["tooltip"]["colorAlpha"] = 0.7
		E.db["tooltip"]["cursorAnchor"] = true
		E.db["tooltip"]["font"] = "Kimberley"
		E.db["tooltip"]["healthBar"]["font"] = "Kimberley"
		E.db["tooltip"]["healthBar"]["fontOutline"] = "OUTLINE"
		E.db["tooltip"]["healthBar"]["height"] = 15
		E.db["tooltip"]["healthBar"]["statusPosition"] = "TOP"
		E.db["tooltip"]["itemCount"] = "NONE"
		E.db["tooltip"]["modifierID"] = "SHIFT"
		E.db["tooltip"]["showElvUIUsers"] = true
		E.db["tooltip"]["visibility"]["combatOverride"] = "CTRL"

		-- ActionBars general
		E.db["actionbar"]["bar1"]["inheritGlobalFade"] = true
		E.db["actionbar"]["bar2"]["inheritGlobalFade"] = true
		E.db["actionbar"]["bar3"]["inheritGlobalFade"] = true
		E.db["actionbar"]["bar4"]["inheritGlobalFade"] = true
		E.db["actionbar"]["bar5"]["inheritGlobalFade"] = true
		E.db["actionbar"]["barPet"]["inheritGlobalFade"] = true
		E.db["actionbar"]["bar6"]["inheritGlobalFade"] = false
		E.db["actionbar"]["bar7"]["inheritGlobalFade"] = false
		E.db["actionbar"]["bar8"]["inheritGlobalFade"] = false
		E.db["actionbar"]["bar9"]["inheritGlobalFade"] = false
		E.db["actionbar"]["bar10"]["inheritGlobalFade"] = false
		E.db["actionbar"]["stanceBar"]["inheritGlobalFade"] = true


		-- Custom Text: Party
		E.db["unitframe"]["units"]["party"]["customTexts"] = E.db["unitframe"]["units"]["party"]["customTexts"] or {}
		E.db["unitframe"]["units"]["party"]["customTexts"]["EltreumPartyHealth"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "RIGHT",
			["size"] = 16,
			["text_format"] = "[health:current:shortvalue]",
			["xOffset"] = 0,
			["yOffset"] = 0
		}
		E.db["unitframe"]["units"]["party"]["customTexts"]["EltreumPartyName"] = {
			["attachTextTo"] = "InfoPanel",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "LEFT",
			["size"] = 12,
			["text_format"] = "[namecolor][name:medium] [difficultycolor][smartlevel]",
			["xOffset"] = 2,
			["yOffset"] = 0
		}
		E.db["unitframe"]["units"]["party"]["customTexts"]["EltreumPartyPower"] = {
			["attachTextTo"] = "Power",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "RIGHT",
			["size"] = 11,
			["text_format"] = "[powercolor][power:current:shortvalue]",
			["xOffset"] = 0,
			["yOffset"] = 0
		}
		-- Custom Text: Pet
		E.db["unitframe"]["units"]["pet"]["customTexts"] = E.db["unitframe"]["units"]["pet"]["customTexts"] or {}
		E.db["unitframe"]["units"]["pet"]["customTexts"]["EltreumPetName"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "CENTER",
			["size"] = 12,
			["text_format"] = "[namecolor][name][happiness:discord]",
			["xOffset"] = 0,
			["yOffset"] = 0
		}
		-- Custom Text: Player
		E.db["unitframe"]["units"]["player"]["customTexts"] = E.db["unitframe"]["units"]["player"]["customTexts"] or {}
		E.db["unitframe"]["units"]["player"]["customTexts"]["EltreumHealth"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "RIGHT",
			["size"] = 14,
			["text_format"] = "[health:current-percent:shortvalue]",
			["xOffset"] = 0,
			["yOffset"] = 0
		}
		E.db["unitframe"]["units"]["player"]["customTexts"]["EltreumName"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "LEFT",
			["size"] = 16,
			["text_format"] = "[namecolor][name] [eltruism:class:player]",
			["xOffset"] = 2,
			["yOffset"] = 0
		}
		E.db["unitframe"]["units"]["player"]["customTexts"]["EltreumPower"] = {
			["attachTextTo"] = "Power",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "RIGHT",
			["size"] = 10,
			["text_format"] = "[powercolor][power:current:shortvalue]",
			["xOffset"] = 0,
			["yOffset"] = -1
		}
		E.db["unitframe"]["units"]["player"]["customTexts"]["EltreumPvP"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "CENTER",
			["size"] = 15,
			["text_format"] = "[mouseover]||cFFB04F4F[pvptimer]||r",
			["xOffset"] = 0,
			["yOffset"] = 0
		}
		-- Custom Text: Raid
		E.db["unitframe"]["units"]["raid"]["customTexts"] = E.db["unitframe"]["units"]["raid"]["customTexts"] or {}
		E.db["unitframe"]["units"]["raid"]["customTexts"]["EltreumGroup"] = {
			["attachTextTo"] = "Health",
			["enable"] = false,
			["font"] = "Kimberley",
			["fontOutline"] = "NONE",
			["justifyH"] = "LEFT",
			["size"] = 8,
			["text_format"] = " Group [group]",
			["xOffset"] = 37,
			["yOffset"] = 10
		}
		E.db["unitframe"]["units"]["raid"]["customTexts"]["EltreumRaidHealth"]= {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Kimberley",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 10,
		["text_format"] = "[health:current:shortvalue]",
		["xOffset"] = 0,
		["yOffset"] = -1
		}
		E.db["unitframe"]["units"]["raid"]["customTexts"]["EltreumRaidName"] = {
		["attachTextTo"] = "InfoPanel",
		["enable"] = true,
		["font"] = "Kimberley",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 10,
		["text_format"] = "[namecolor][name:medium] [difficultycolor][smartlevel]",
		["xOffset"] = 0,
		["yOffset"] = 0
		}
		-- Custom Text: Raid 40
		E.db["unitframe"]["units"]["raid40"]["customTexts"] = E.db["unitframe"]["units"]["raid40"]["customTexts"] or {}
		E.db["unitframe"]["units"]["raid40"]["customTexts"]["EltreumRaid40Group"] = {
			["attachTextTo"] = "Health",
			["enable"] = false,
			["font"] = "Kimberley",
			["fontOutline"] = "NONE",
			["justifyH"] = "LEFT",
			["size"] = 8,
			["text_format"] = " Group [group]",
			["xOffset"] = 40,
			["yOffset"] = 12
		}
		E.db["unitframe"]["units"]["raid40"]["customTexts"]["EltreumRaid40Health"] = {
			["attachTextTo"] = "InfoPanel",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "OUTLINE",
			["justifyH"] = "RIGHT",
			["size"] = 10,
			["text_format"] = "[health:current:shortvalue]",
			["xOffset"] = 0,
			["yOffset"] = 0
		}
		-- Custom Text: Target
		E.db["unitframe"]["units"]["target"]["customTexts"] = E.db["unitframe"]["units"]["target"]["customTexts"] or {}
		E.db["unitframe"]["units"]["target"]["customTexts"]["EltreumTargetHealth"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "LEFT",
			["size"] = 14,
			["text_format"] = "[health:current-percent:shortvalue]",
			["xOffset"] = 2,
			["yOffset"] = 0
		}
		E.db["unitframe"]["units"]["target"]["customTexts"]["EltreumTargetName"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "RIGHT",
			["size"] = 16,
			["text_format"] = "[eltruism:class:player] [namecolor][name:eltruism:abbreviate]",
			["xOffset"] = -2,
			["yOffset"] = 0
		}
		E.db["unitframe"]["units"]["target"]["customTexts"]["EltreumTargetPower"] = {
		["attachTextTo"] = "Power",
		["enable"] = true,
		["font"] = "Kimberley",
		["fontOutline"] = "THICKOUTLINE",
		["justifyH"] = "LEFT",
		["size"] = 10,
		["text_format"] = "[powercolor][power:current:shortvalue]",
		["xOffset"] = 2,
		["yOffset"] = -1
		}
		E.db["unitframe"]["units"]["target"]["customTexts"]["EltreumTargetofTarget"] = {
		["attachTextTo"] = "Frame",
		["enable"] = false,
		["font"] = "Kimberley",
		["fontOutline"] = "OUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 10,
		["text_format"] = "Target: [target]",
		["xOffset"] = -5,
		["yOffset"] = -14
		}
		-- Custom Text: TargetTarget
		E.db["unitframe"]["units"]["targettarget"]["customTexts"] = E.db["unitframe"]["units"]["targettarget"]["customTexts"] or {}
		E.db["unitframe"]["units"]["targettarget"]["customTexts"]["EltreumTargetTargetHealth"] = {
			["attachTextTo"] = "Health",
			["enable"] = false,
			["font"] = "Kimberley",
			["fontOutline"] = "THICKOUTLINE",
			["justifyH"] = "LEFT",
			["size"] = 11,
			["text_format"] = "[health:current:shortvalue]",
			["xOffset"] = 2,
			["yOffset"] = 3
		}
		E.db["unitframe"]["units"]["targettarget"]["customTexts"]["EltreumTargetTargetName"] = {
			["attachTextTo"] = "Health",
			["enable"] = true,
			["font"] = "Kimberley",
			["fontOutline"] = "OUTLINE",
			["justifyH"] = "CENTER",
			["size"] = 12,
			["text_format"] = "[namecolor][name:abbrev]",
			["xOffset"] = 0,
			["yOffset"] = 3
		}
		E.db["unitframe"]["units"]["targettarget"]["customTexts"]["Powercustom"] = {
		["attachTextTo"] = "Power",
		["enable"] = true,
		["font"] = "Kimberley",
		["fontOutline"] = "THICKOUTLINE",
		["justifyH"] = "RIGHT",
		["size"] = 9,
		["text_format"] = "[powercolor][power:current:shortvalue]",
		["xOffset"] = 0,
		["yOffset"] = -1
		}

		if layout == 'dps' then
			-- set Dynamic Status Icons
			if IsAddOnLoaded("ElvUI_DynamicStatusIcons") then
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["anchorPoint"] = "BOTTOMRIGHT"
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["b"] = 0.4274500310421
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["g"] = 0.60784178972244
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["r"] = 0.77646887302399
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["faceright"] = true
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["iconpack"] = "Default - Pepe - Traveler"
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["scale"] = 0.8
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["xOffset"] = -75
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["yOffset"] = -83
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["anchorPoint"] = "BOTTOMLEFT"
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["b"] = 0.4274500310421
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["g"] = 0.60784178972244
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["r"] = 0.77646887302399
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["iconpack"] = "Default - Pepe - Clockwork"
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["scale"] = 0.8
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["xOffset"] = 75
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["yOffset"] = -83
			end
			-- ActionBars
			E.db["actionbar"]["addNewSpells"] = true
			E.db["actionbar"]["bar1"]["alpha"] = 1
			E.db["actionbar"]["bar1"]["backdropSpacing"] = 0
			E.db["actionbar"]["bar1"]["buttonHeight"] = 35
			E.db["actionbar"]["bar1"]["buttonSize"] = 45
			E.db["actionbar"]["bar1"]["buttonSpacing"] = 3
			E.db["actionbar"]["bar1"]["buttons"] = 7
			E.db["actionbar"]["bar1"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar1"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar1"]["flyoutDirection"] = "UP"
			E.db["actionbar"]["bar1"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar1"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar1"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar1"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar1"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar1"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar1"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar1"]["macrotext"] = true
			E.db["actionbar"]["bar1"]["paging"]["DRUID"] = ""
			E.db["actionbar"]["bar1"]["paging"]["PALADIN"] = ""
			E.db["actionbar"]["bar1"]["paging"]["PRIEST"] = ""
			E.db["actionbar"]["bar1"]["paging"]["ROGUE"] = ""
			E.db["actionbar"]["bar1"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar10"]["alpha"] = 1
			E.db["actionbar"]["bar10"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar10"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar10"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar10"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar10"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar10"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar10"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar10"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar10"]["macrotext"] = true
			E.db["actionbar"]["bar10"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [petbattle] hide; show[combat][@target, exists]show;hide"
			E.db["actionbar"]["bar2"]["alpha"] = 1
			E.db["actionbar"]["bar2"]["buttonHeight"] = 30
			E.db["actionbar"]["bar2"]["buttonSize"] = 35
			E.db["actionbar"]["bar2"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar2"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar2"]["enabled"] = true
			E.db["actionbar"]["bar2"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar2"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar2"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar2"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar2"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar2"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar2"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar2"]["macrotext"] = true
			E.db["actionbar"]["bar2"]["paging"]["DRUID"] = ""
			E.db["actionbar"]["bar2"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar3"]["alpha"] = 1
			E.db["actionbar"]["bar3"]["buttonHeight"] = 30
			E.db["actionbar"]["bar3"]["buttonSize"] = 35
			E.db["actionbar"]["bar3"]["buttons"] = 12
			E.db["actionbar"]["bar3"]["buttonsPerRow"] = 12
			E.db["actionbar"]["bar3"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar3"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar3"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar3"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar3"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar3"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar3"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar3"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar3"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar3"]["macrotext"] = true
			E.db["actionbar"]["bar3"]["paging"]["DRUID"] = ""
			E.db["actionbar"]["bar3"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar4"]["alpha"] = 1
			E.db["actionbar"]["bar4"]["backdrop"] = false
			E.db["actionbar"]["bar4"]["buttonHeight"] = 30
			E.db["actionbar"]["bar4"]["buttonSize"] = 35
			E.db["actionbar"]["bar4"]["buttonsPerRow"] = 12
			E.db["actionbar"]["bar4"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar4"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar4"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar4"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar4"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar4"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar4"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar4"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar4"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar4"]["macrotext"] = true
			E.db["actionbar"]["bar4"]["paging"]["DEATHKNIGHT"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["DEMONHUNTER"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["DRUID"] = "[bonusbar:1,nostealth] 7; [bonusbar:1,stealth] 8; [bonusbar:2] 8; [bonusbar:3] 9; [bonusbar:4] 10; [vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["HUNTER"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["MAGE"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["MONK"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["PALADIN"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["PRIEST"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["ROGUE"] = "[bonusbar:1,nostealth] 4; [bonusbar:1,stealth] 7; [vehicleui] 12; [overridebar] 14; [possessbar] 12; [bonusbar:1] 7;"
			E.db["actionbar"]["bar4"]["paging"]["SHAMAN"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["WARLOCK"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["WARRIOR"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["point"] = "BOTTOMLEFT"
			E.db["actionbar"]["bar4"]["visibility"] = "[vehicleui] show; [overridebar] show; [possessbar] show; show;"
			E.db["actionbar"]["bar5"]["alpha"] = 1
			E.db["actionbar"]["bar5"]["buttonHeight"] = 30
			E.db["actionbar"]["bar5"]["buttonSize"] = 35
			E.db["actionbar"]["bar5"]["buttons"] = 12
			E.db["actionbar"]["bar5"]["buttonsPerRow"] = 12
			E.db["actionbar"]["bar5"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar5"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar5"]["enabled"] = false
			E.db["actionbar"]["bar5"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar5"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar5"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar5"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar5"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar5"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar5"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar5"]["macrotext"] = true
			E.db["actionbar"]["bar5"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar6"]["alpha"] = 1
			E.db["actionbar"]["bar6"]["buttonHeight"] = 24
			if GetCVar('gxFullscreenResolution') == "3140x2160" or GetCVar('gxWindowedResolution') == "3140x2160"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 0
				E.db["actionbar"]["bar6"]["buttonSize"] = 35
			elseif GetCVar('gxFullscreenResolution') == "2560x1440" or GetCVar('gxWindowedResolution') == "2560x1440"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			elseif GetCVar('gxFullscreenResolution') == "1920x1080" or GetCVar('gxWindowedResolution') == "1920x1080"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			elseif GetCVar('gxFullscreenResolution') == "auto" or GetCVar('gxWindowedResolution') == "auto"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			else
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			end
			E.db["actionbar"]["bar6"]["buttons"] = 12
			E.db["actionbar"]["bar6"]["buttonsPerRow"] = 12
			E.db["actionbar"]["bar6"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar6"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar6"]["enabled"] = true
			E.db["actionbar"]["bar6"]["flyoutDirection"] = "UP"
			E.db["actionbar"]["bar6"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar6"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar6"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar6"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar6"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar6"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar6"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar6"]["macrotext"] = true
			E.db["actionbar"]["bar6"]["mouseover"] = true
			E.db["actionbar"]["bar7"]["alpha"] = 1
			E.db["actionbar"]["bar7"]["buttonHeight"] = 30
			E.db["actionbar"]["bar7"]["buttonSize"] = 35
			E.db["actionbar"]["bar7"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar7"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar7"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar7"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar7"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar7"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar7"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar7"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar7"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar7"]["macrotext"] = true
			E.db["actionbar"]["bar7"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar8"]["alpha"] = 1
			E.db["actionbar"]["bar8"]["buttonHeight"] = 30
			E.db["actionbar"]["bar8"]["buttonSize"] = 35
			E.db["actionbar"]["bar8"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar8"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar8"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar8"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar8"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar8"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar8"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar8"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar8"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar8"]["macrotext"] = true
			E.db["actionbar"]["bar8"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar9"]["alpha"] = 1
			E.db["actionbar"]["bar9"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar9"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar9"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar9"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar9"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar9"]["macroFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["bar9"]["macroTextPosition"] = "BOTTOM"
			E.db["actionbar"]["bar9"]["macroTextYOffset"] = 2
			E.db["actionbar"]["bar9"]["macrotext"] = true
			E.db["actionbar"]["bar9"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["barPet"]["backdrop"] = false
			E.db["actionbar"]["barPet"]["backdropSpacing"] = 0
			E.db["actionbar"]["barPet"]["buttonHeight"] = 24
			E.db["actionbar"]["barPet"]["buttonSize"] = 30
			E.db["actionbar"]["barPet"]["buttonSpacing"] = 3
			E.db["actionbar"]["barPet"]["buttonsPerRow"] = 5
			E.db["actionbar"]["barPet"]["countFont"] = "Kimberley"
			E.db["actionbar"]["barPet"]["countFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["barPet"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["barPet"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["barPet"]["keepSizeRatio"] = false
			E.db["actionbar"]["barPet"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; [@pet,exists] show; hide"
			E.db["actionbar"]["chargeCooldown"] = true
			E.db["actionbar"]["colorSwipeNormal"]["a"] = 1
			E.db["actionbar"]["cooldown"]["mmssThreshold"] = 60
			E.db["actionbar"]["cooldown"]["threshold"] = 5
			E.db["actionbar"]["desaturateOnCooldown"] = true
			E.db["actionbar"]["font"] = "Kimberley"
			E.db["actionbar"]["fontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["lockActionBars"] = false
			E.db["actionbar"]["globalFadeAlpha"] = 1
			E.db["actionbar"]["microbar"]["backdropSpacing"] = 6
			E.db["actionbar"]["microbar"]["buttonHeight"] = 20
			E.db["actionbar"]["noPowerColor"]["b"] = 0.29019607843137
			E.db["actionbar"]["noPowerColor"]["g"] = 0.14509803921569
			E.db["actionbar"]["noPowerColor"]["r"] = 0.14509803921569
			E.db["actionbar"]["notUsableColor"]["b"] = 0.1921568627451
			E.db["actionbar"]["notUsableColor"]["g"] = 0.1921568627451
			E.db["actionbar"]["notUsableColor"]["r"] = 0.1921568627451
			E.db["actionbar"]["rightClickSelfCast"] = true
			E.db["actionbar"]["stanceBar"]["backdropSpacing"] = 0
			E.db["actionbar"]["stanceBar"]["buttonHeight"] = 20
			E.db["actionbar"]["stanceBar"]["buttonSize"] = 30
			E.db["actionbar"]["stanceBar"]["buttonSpacing"] = 3
			E.db["actionbar"]["stanceBar"]["buttons"] = 8
			E.db["actionbar"]["stanceBar"]["buttonsPerRow"] = 8
			E.db["actionbar"]["stanceBar"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["stanceBar"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["stanceBar"]["keepSizeRatio"] = false
			E.db["actionbar"]["stanceBar"]["mouseover"] = false
			E.db["actionbar"]["stanceBar"]["style"] = "classic"
			E.db["actionbar"]["stanceBar"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["transparent"] = true
			E.db["actionbar"]["useDrawSwipeOnCharges"] = true
			E.db["actionbar"]["vehicleExitButton"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["vehicleExitButton"]["hotkeyFontOutline"] = "THICKOUTLINE"
			E.db["actionbar"]["vehicleExitButton"]["size"] = 24

			-- Auras
			E.db["auras"]["buffs"]["barColor"]["b"] = 0.86666476726532
			E.db["auras"]["buffs"]["barColor"]["g"] = 0.4392147064209
			E.db["auras"]["buffs"]["barNoDuration"] = false
			E.db["auras"]["buffs"]["barPosition"] = "LEFT"
			E.db["auras"]["buffs"]["barShow"] = false
			E.db["auras"]["buffs"]["barSize"] = 6
			E.db["auras"]["buffs"]["barSpacing"] = 0
			E.db["auras"]["buffs"]["barTexture"] = "Eltreum-Blank"
			E.db["auras"]["buffs"]["countFont"] = "Kimberley"
			E.db["auras"]["buffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["buffs"]["countFontSize"] = 12
			E.db["auras"]["buffs"]["fadeThreshold"] = 10
			E.db["auras"]["buffs"]["horizontalSpacing"] = 7
			E.db["auras"]["buffs"]["maxWraps"] = 2
			E.db["auras"]["buffs"]["seperateOwn"] = -1
			E.db["auras"]["buffs"]["size"] = 32
			E.db["auras"]["buffs"]["sortDir"] = "+"
			E.db["auras"]["buffs"]["timeFont"] = "Kimberley"
			E.db["auras"]["buffs"]["timeFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["buffs"]["timeFontSize"] = 12
			E.db["auras"]["buffs"]["verticalSpacing"] = 14
			E.db["auras"]["buffs"]["wrapAfter"] = 10
			E.db["auras"]["debuffs"]["barColor"]["b"] = 0.86666476726532
			E.db["auras"]["debuffs"]["barColor"]["g"] = 0.4392147064209
			E.db["auras"]["debuffs"]["barNoDuration"] = false
			E.db["auras"]["debuffs"]["barPosition"] = "LEFT"
			E.db["auras"]["debuffs"]["barShow"] = false
			E.db["auras"]["debuffs"]["barSize"] = 6
			E.db["auras"]["debuffs"]["barSpacing"] = 0
			E.db["auras"]["debuffs"]["barTexture"] = "Eltreum-Blank"
			E.db["auras"]["debuffs"]["countFont"] = "Kimberley"
			E.db["auras"]["debuffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["debuffs"]["countFontSize"] = 12
			E.db["auras"]["debuffs"]["fadeThreshold"] = 10
			E.db["auras"]["debuffs"]["horizontalSpacing"] = 7
			E.db["auras"]["debuffs"]["size"] = 32
			E.db["auras"]["debuffs"]["sortDir"] = "+"
			E.db["auras"]["debuffs"]["timeFont"] = "Kimberley"
			E.db["auras"]["debuffs"]["timeFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["debuffs"]["timeFontSize"] = 12
			E.db["auras"]["debuffs"]["verticalSpacing"] = 14
			E.db["auras"]["debuffs"]["wrapAfter"] = 10

			-- Growth Directions DPS/TANK
			E.db["unitframe"]["units"]["party"]["growthDirection"] = "DOWN_RIGHT"
			E.db["unitframe"]["units"]["raid"]["growthDirection"] = "DOWN_RIGHT"
			E.db["unitframe"]["units"]["raid40"]["growthDirection"] = "DOWN_RIGHT"

			-- Movers DPS/TANK
			E.db["movers"]["ArenaHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-172,-381"
			E.db["movers"]["BNETMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-6,-254"
			E.db["movers"]["BelowMinimapContainerMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-516,157"
			E.db["movers"]["BossButton"] = "BOTTOM,ElvUIParent,BOTTOM,0,72"
			E.db["movers"]["BossHeaderMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-16,298"
			--E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-210,-3"
			--E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-210,-101"
			E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-213,-4"
			E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-213,-101"
			E.db["movers"]["DurabilityFrameMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,490,275"
			E.db["movers"]["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,221"
			E.db["movers"]["ElvAB_10"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,264"
			E.db["movers"]["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,190"
			E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,0,159"
			E.db["movers"]["ElvAB_4"] = "BOTTOM,ElvUIParent,BOTTOM,0,128"
			E.db["movers"]["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,0,97"
			E.db["movers"]["ElvAB_6"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,203"
			E.db["movers"]["ElvAB_7"] = "BOTTOM,ElvUIParent,BOTTOM,0,66"
			E.db["movers"]["ElvAB_8"] = "BOTTOM,ElvUIParent,BOTTOM,0,35"
			E.db["movers"]["ElvAB_9"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,230"
			E.db["movers"]["ElvNP_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,334"
			E.db["movers"]["ElvUF_AssistMover"] = "BOTTOM,ElvUIParent,BOTTOM,155,45"
			E.db["movers"]["ElvUF_BodyGuardMover"] = "TOP,ElvUIParent,TOP,0,-440"
			E.db["movers"]["ElvUF_FocusMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,424,-204"
			E.db["movers"]["ElvUF_FocusCastbarMover"] = "TOP,ElvUIParent,TOP,0,-168"
			E.db["movers"]["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-247"
			E.db["movers"]["ElvUF_PetCastbarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,563,283"
			E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,560,183"
			E.db["movers"]["ElvUF_PlayerAuraMover"] = "BOTTOM,ElvUIParent,BOTTOM,-276,239"
			--E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-280,269"
			E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,-266,268"
			E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,-280,299"
			E.db["movers"]["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,0,1"
			E.db["movers"]["ElvUF_RaidMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,0,1"
			E.db["movers"]["ElvUF_RaidpetMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,736"
			E.db["movers"]["ElvUF_TankMover"] = "BOTTOM,ElvUIParent,BOTTOM,-155,-4"
			--E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,280,269"
			E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,295,268"
			E.db["movers"]["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,280,299"
			E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-457,299"
			E.db["movers"]["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,23"
			E.db["movers"]["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,0,23"
			--E.db["movers"]["ExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,421,-1"
			E.db["movers"]["ReputationBarMover"] = "TOP,ElvUIParent,TOP,0,0"
			E.db["movers"]["ExperienceBarMover"] = "TOP,ElvUIParent,TOP,0,-13"
			E.db["movers"]["GMMover"] = "TOP,ElvUIParent,TOP,239,-3"
			E.db["movers"]["GhostFrameMover"] = "TOP,ElvUIParent,TOP,0,-280"
			E.db["movers"]["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,-1,0"
			E.db["movers"]["LocationMover"] = "TOP,ElvUIParent,TOP,0,-2"
			E.db["movers"]["LootFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-156"
			E.db["movers"]["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-317"
			E.db["movers"]["MasterExperienceMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,515,-79"
			E.db["movers"]["MicrobarMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-422,0"
			E.db["movers"]["MinimapButtonAnchor"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-223"
			E.db["movers"]["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-6,-3"
			E.db["movers"]["MirrorTimer1Mover"] = "TOP,ElvUIParent,TOP,-1,-96"
			E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-65,-319"
			E.db["movers"]["PetAB"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,560,129"
			E.db["movers"]["PetBattleABMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,-1"
			E.db["movers"]["PetBattleStatusMover"] = "TOP,ElvUIParent,TOP,0,1"
			E.db["movers"]["PowerWidgetMover"] = "TOP,ElvUIParent,TOP,0,-102"
			E.db["movers"]["TopCenterContainerMover"] = "TOP,ElvUIParent,TOP,0,-50"
			E.db["movers"]["RaidMarkerBarAnchor"] = "TOPLEFT,ElvUIParent,TOPLEFT,277,1"
			E.db["movers"]["RaidUtility_Mover"] = "TOP,ElvUIParent,TOP,-219,1"
			--E.db["movers"]["ReputationBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,412,-1"
			E.db["movers"]["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,0"
			if IsAddOnLoaded("ElvUI_SLE") then
				E.db["movers"]["SLE_DataPanel_1_Mover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,199"
			end
			E.db["movers"]["ShiftAB"] = "BOTTOM,ElvUIParent,BOTTOM,0,108"
			E.db["movers"]["SocialMenuMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-411"
			E.db["movers"]["SquareMinimapBar"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-198"
			E.db["movers"]["SquareMinimapButtonBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-5,-226"
			E.db["movers"]["TalkingHeadFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-154"
			E.db["movers"]["ThreatBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,0,-1"
			E.db["movers"]["TooltipMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,329,-154"
			E.db["movers"]["TorghastBuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-4,-346"
			E.db["movers"]["TotemBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,256"
			E.db["movers"]["VehicleLeaveButton"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-183,-180"
			E.db["movers"]["ZoneAbility"] = "BOTTOM,ElvUIParent,BOTTOM,0,34"
			-- DPS unit colors
			E.db["unitframe"]["colors"]["auraBarBuff"]["b"] = valuecolors.b
			E.db["unitframe"]["colors"]["auraBarBuff"]["g"] = valuecolors.g
			E.db["unitframe"]["colors"]["auraBarBuff"]["r"] = valuecolors.r
			E.db["unitframe"]["colors"]["aurabar_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["aurabar_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["aurabar_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["castClassColor"] = true
			E.db["unitframe"]["colors"]["castColor"]["b"] = 0.1
			E.db["unitframe"]["colors"]["castColor"]["g"] = 0.1
			E.db["unitframe"]["colors"]["castColor"]["r"] = 0.1
			E.db["unitframe"]["colors"]["castbar_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["castbar_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["castbar_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["classbackdrop"] = true
			E.db["unitframe"]["colors"]["classpower_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["classpower_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["classpower_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["colorhealthbyvalue"] = false
			E.db["unitframe"]["colors"]["customaurabarbackdrop"] = true
			E.db["unitframe"]["colors"]["customcastbarbackdrop"] = true
			E.db["unitframe"]["colors"]["customclasspowerbackdrop"] = true
			E.db["unitframe"]["colors"]["custompowerbackdrop"] = true
			E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["class"] = true
			E.db["unitframe"]["colors"]["frameGlow"]["mouseoverGlow"]["color"]["a"] = 1
			E.db["unitframe"]["colors"]["healPrediction"]["maxOverflow"] = 0.01
			E.db["unitframe"]["colors"]["health"]["b"] = 0
			E.db["unitframe"]["colors"]["health"]["g"] = 0
			E.db["unitframe"]["colors"]["health"]["r"] = 0
			E.db["unitframe"]["colors"]["healthMultiplier"] = 0.75
			E.db["unitframe"]["colors"]["health_backdrop_dead"]["b"] = 0.011764705882353
			E.db["unitframe"]["colors"]["health_backdrop_dead"]["g"] = 0.011764705882353
			E.db["unitframe"]["colors"]["healPrediction"]["others"]["a"] = 0.35
			E.db["unitframe"]["colors"]["healPrediction"]["overabsorbs"]["a"] = 0.35
			E.db["unitframe"]["colors"]["healPrediction"]["overhealabsorbs"]["a"] = 0.35
			E.db["unitframe"]["colors"]["healPrediction"]["personal"]["a"] = 0.35
			E.db["unitframe"]["colors"]["power"]["ENERGY"]["b"] = 0.53725490196078
			E.db["unitframe"]["colors"]["power"]["ENERGY"]["g"] = 0.96862745098039
			E.db["unitframe"]["colors"]["power"]["ENERGY"]["r"] = 1
			E.db["unitframe"]["colors"]["power"]["MANA"]["b"] = 1
			E.db["unitframe"]["colors"]["power"]["MANA"]["g"] = 0.71372549019608
			E.db["unitframe"]["colors"]["power"]["MANA"]["r"] = 0.49019607843137
			E.db["unitframe"]["colors"]["power"]["RAGE"]["b"] = 0.32156862745098
			E.db["unitframe"]["colors"]["power"]["RAGE"]["g"] = 0.32156862745098
			E.db["unitframe"]["colors"]["power"]["RAGE"]["r"] = 1
			E.db["unitframe"]["colors"]["power_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["power_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["power_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["transparentAurabars"] = true
			E.db["unitframe"]["colors"]["transparentCastbar"] = true
			E.db["unitframe"]["colors"]["transparentHealth"] = true
			E.db["unitframe"]["colors"]["transparentPower"] = true

			--dps options
			E.db["unitframe"]["font"] = "Kimberley"
			E.db["unitframe"]["fontOutline"] = "OUTLINE"
			E.db["unitframe"]["smartRaidFilter"] = false
			E.db["unitframe"]["smoothbars"] = true
			E.db["unitframe"]["statusbar"] = "Eltreum-Blank"
			E.db["unitframe"]["targetSound"] = true

			--Dps units
			E.db["unitframe"]["units"]["assist"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["assist"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"


			--test arena tbc
			E.db["unitframe"]["units"]["arena"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["arena"]["buffs"]["countXOffset"] = 2
			E.db["unitframe"]["units"]["arena"]["buffs"]["countYOffset"] = -3
			E.db["unitframe"]["units"]["arena"]["buffs"]["durationPosition"] = "TOP"
			E.db["unitframe"]["units"]["arena"]["buffs"]["height"] = 25
			E.db["unitframe"]["units"]["arena"]["buffs"]["keepSizeRatio"] = false
			E.db["unitframe"]["units"]["arena"]["buffs"]["perrow"] = 6
			E.db["unitframe"]["units"]["arena"]["buffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["arena"]["buffs"]["xOffset"] = -3
			E.db["unitframe"]["units"]["arena"]["buffs"]["yOffset"] = 14
			E.db["unitframe"]["units"]["arena"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["arena"]["debuffs"]["anchorPoint"] = "BOTTOM"
			E.db["unitframe"]["units"]["arena"]["debuffs"]["attachTo"] = "BUFFS"
			E.db["unitframe"]["units"]["arena"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["arena"]["debuffs"]["countXOffset"] = 2
			E.db["unitframe"]["units"]["arena"]["debuffs"]["countYOffset"] = -3
			E.db["unitframe"]["units"]["arena"]["debuffs"]["height"] = 25
			E.db["unitframe"]["units"]["arena"]["debuffs"]["keepSizeRatio"] = false
			E.db["unitframe"]["units"]["arena"]["debuffs"]["perrow"] = 6
			E.db["unitframe"]["units"]["arena"]["debuffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["arena"]["debuffs"]["yOffset"] = -4
			E.db["unitframe"]["units"]["arena"]["fader"]["minAlpha"] = 0.8
			E.db["unitframe"]["units"]["arena"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["arena"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["arena"]["height"] = 40
			E.db["unitframe"]["units"]["arena"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["arena"]["infoPanel"]["height"] = 15
			E.db["unitframe"]["units"]["arena"]["infoPanel"]["transparent"] = true
			E.db["unitframe"]["units"]["arena"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["arena"]["portrait"]["overlay"] = true
			E.db["unitframe"]["units"]["arena"]["portrait"]["style"] = "Class"
			E.db["unitframe"]["units"]["arena"]["power"]["height"] = 14
			E.db["unitframe"]["units"]["arena"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["size"] = 55
			E.db["unitframe"]["units"]["arena"]["pvpTrinket"]["xOffset"] = 0
			E.db["unitframe"]["units"]["arena"]["spacing"] = 20
			E.db["unitframe"]["units"]["arena"]["width"] = 250

			E.db["unitframe"]["units"]["focus"]["CombatIcon"]["xOffset"] = -87
			E.db["unitframe"]["units"]["focus"]["CombatIcon"]["yOffset"] = 10
			E.db["unitframe"]["units"]["focus"]["buffIndicator"]["size"] = 20
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["a"] = 0
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0.50196078431373
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0.50196078431373
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0.50196078431373
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["invertColors"] = false
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["focus"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["focus"]["castbar"]["height"] = 30
			E.db["unitframe"]["units"]["focus"]["castbar"]["width"] = 333
			E.db["unitframe"]["units"]["focus"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["focus"]["disableTargetGlow"] = true
			--E.db["unitframe"]["units"]["focus"]["castbar"]["overlayOnFrame"] = "Power"
			E.db["unitframe"]["units"]["focus"]["castbar"]["strataAndLevel"]["frameStrata"] = "DIALOG"
			E.db["unitframe"]["units"]["focus"]["castbar"]["timeToHold"] = 1
			E.db["unitframe"]["units"]["focus"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["focus"]["debuffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["focus"]["height"] = 35
			E.db["unitframe"]["units"]["focus"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["focus"]["name"]["text_format"] = "[namecolor][name]"
			E.db["unitframe"]["units"]["focus"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["focus"]["power"]["height"] = 14
			E.db["unitframe"]["units"]["focus"]["power"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["focus"]["power"]["text_format"] = "[powercolor][power:current:shortvalue]"
			E.db["unitframe"]["units"]["focus"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["focus"]["power"]["xOffset"] = -7
			E.db["unitframe"]["units"]["focustarget"]["power"]["enable"] = false
			E.db["unitframe"]["units"]["focustarget"]["power"]["text_format"] = "[power:current:shortvalue]"


			E.db["unitframe"]["units"]["party"]["buffIndicator"]["size"] = 20
			E.db["unitframe"]["units"]["party"]["buffs"]["anchorPoint"] = "TOP"
			E.db["unitframe"]["units"]["party"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["party"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["debuffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["party"]["debuffs"]["numrows"] = 2
			E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 4
			E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["party"]["debuffs"]["xOffset"] = 5
			E.db["unitframe"]["units"]["party"]["debuffs"]["yOffset"] = 23
			E.db["unitframe"]["units"]["party"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["party"]["fader"]["minAlpha"] = 0.2
			E.db["unitframe"]["units"]["party"]["groupBy"] = "ROLE"
			E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["health"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["party"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["party"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["party"]["height"] = 60
			E.db["unitframe"]["units"]["party"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["infoPanel"]["transparent"] = true
			E.db["unitframe"]["units"]["party"]["name"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["party"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["party"]["name"]["xOffset"] = 2
			E.db["unitframe"]["units"]["party"]["orientation"] = "MIDDLE"
			E.db["unitframe"]["units"]["party"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["party"]["power"]["height"] = 14
			E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["party"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["party"]["power"]["yOffset"] = 1
			E.db["unitframe"]["units"]["party"]["raidRoleIcons"]["yOffset"] = -3
			E.db["unitframe"]["units"]["party"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["party"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["party"]["raidicon"]["size"] = 20
			E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["enable"] = false
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["xOffset"] = -75
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["yOffset"] = 38
			E.db["unitframe"]["units"]["party"]["readycheckIcon"]["position"] = "CENTER"
			E.db["unitframe"]["units"]["party"]["readycheckIcon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["party"]["resurrectIcon"]["attachTo"] = "RIGHT"
			E.db["unitframe"]["units"]["party"]["resurrectIcon"]["xOffset"] = 5
			E.db["unitframe"]["units"]["party"]["summonIcon"]["size"] = 40
			E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 20
			E.db["unitframe"]["units"]["party"]["width"] = 200
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customTextFont"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customTextFont"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["castbar"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["height"] = 15
			E.db["unitframe"]["units"]["party"]["castbar"]["overlayOnFrame"] = "InfoPanel"
			E.db["unitframe"]["units"]["party"]["castbar"]["positionsGroup"]["anchorPoint"] = "LEFT"
			E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["b"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["g"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["r"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["timeToHold"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["width"] = 200
			E.db["unitframe"]["units"]["party"]["castbar"]["xOffsetText"] = 2
			E.db["unitframe"]["units"]["pet"]["buffIndicator"]["size"] = 15
			E.db["unitframe"]["units"]["pet"]["buffs"]["anchorPoint"] = "TOP"
			E.db["unitframe"]["units"]["pet"]["buffs"]["attachTo"] = "DEBUFFS"
			E.db["unitframe"]["units"]["pet"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["pet"]["buffs"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["buffs"]["spacing"] = 0
			E.db["unitframe"]["units"]["pet"]["debuffs"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["pet"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["debuffs"]["yOffset"] = 1
			E.db["unitframe"]["units"]["pet"]["smartAuraPosition"] = "FLUID_BUFFS_ON_DEBUFFS"

			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["a"] = 0
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0.50196078431373
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0.50196078431373
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0.50196078431373
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["invertColors"] = false
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["transparent"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["height"] = 15
			E.db["unitframe"]["units"]["pet"]["castbar"]["overlayOnFrame"] = "Health"
			E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 161
			E.db["unitframe"]["units"]["pet"]["disableTargetGlow"] = false
			E.db["unitframe"]["units"]["pet"]["fader"]["casting"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["combat"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["health"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["hover"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["minAlpha"] = 0
			E.db["unitframe"]["units"]["pet"]["fader"]["playertarget"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["power"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["range"] = false
			E.db["unitframe"]["units"]["pet"]["fader"]["unittarget"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["vehicle"] = true
			E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["pet"]["power"]["enable"] = true
			--E.db["unitframe"]["units"]["pet"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["pet"]["power"]["width"] = "filled"
			E.db["unitframe"]["units"]["pet"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["pet"]["power"]["height"] = 12
			E.db["unitframe"]["units"]["pet"]["power"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["pet"]["power"]["powerPrediction"] = true
			E.db["unitframe"]["units"]["pet"]["power"]["text_format"] = "[powercolor][power:current:shortvalue]"
			E.db["unitframe"]["units"]["pet"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["pet"]["disableMouseoverGlow"] = true
			--E.db["unitframe"]["units"]["pet"]["smartAuraPosition"] = "FLUID_BUFFS_ON_DEBUFFS"
			if GetCVar('gxFullscreenResolution') == "3140x2160" or GetCVar('gxWindowedResolution') == "3140x2160"  then
				E.db["unitframe"]["units"]["pet"]["width"] = 161
			elseif GetCVar('gxFullscreenResolution') == "2560x1440" or GetCVar('gxWindowedResolution') == "2560x1440"  then
				E.db["unitframe"]["units"]["pet"]["width"] = 159
			elseif GetCVar('gxFullscreenResolution') == "1920x1080" or GetCVar('gxWindowedResolution') == "1920x1080"  then
				E.db["unitframe"]["units"]["pet"]["width"] = 159
			elseif GetCVar('gxFullscreenResolution') == "auto" or GetCVar('gxWindowedResolution') == "auto"  then
				E.db["unitframe"]["units"]["pet"]["width"] = 159
			else
				E.db["unitframe"]["units"]["pet"]["width"] = 159
			end
			E.db["unitframe"]["units"]["pettarget"]["buffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["pettarget"]["debuffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["pettarget"]["power"]["enable"] = false
			E.db["unitframe"]["units"]["pettarget"]["power"]["text_format"] = "[power:current:shortvalue]"
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["anchorPoint"] = "TOPRIGHT"
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["a"] = 0.80000001192093
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["b"] = 1
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["g"] = 1
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["defaultColor"] = false
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["size"] = 18
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["xOffset"] = -7
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["yOffset"] = -7
			E.db["unitframe"]["units"]["player"]["RestIcon"]["color"]["a"] = 0.57115608453751
			E.db["unitframe"]["units"]["player"]["RestIcon"]["defaultColor"] = false
			E.db["unitframe"]["units"]["player"]["RestIcon"]["size"] = 15
			E.db["unitframe"]["units"]["player"]["RestIcon"]["texture"] = "Resting0"
			E.db["unitframe"]["units"]["player"]["RestIcon"]["xOffset"] = 8
			E.db["unitframe"]["units"]["player"]["RestIcon"]["yOffset"] = -7
			E.db["unitframe"]["units"]["player"]["aurabar"]["attachTo"] = "FRAME"
			E.db["unitframe"]["units"]["player"]["aurabar"]["detachedWidth"] = 266
			E.db["unitframe"]["units"]["player"]["aurabar"]["maxDuration"] = 60
			E.db["unitframe"]["units"]["player"]["aurabar"]["yOffset"] = 1
			E.db["unitframe"]["units"]["player"]["buffs"]["attachTo"] = "FRAME"
			E.db["unitframe"]["units"]["player"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["player"]["buffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["player"]["buffs"]["yOffset"] = -227
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["invertColors"] = false
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["transparent"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["fontSize"] = 11
			E.db["unitframe"]["units"]["player"]["castbar"]["customTimeFont"]["fontStyle"] = "OUTLINE"
			E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["b"] = 1
			E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["g"] = 1
			E.db["unitframe"]["units"]["player"]["castbar"]["textColor"]["r"] = 1
			E.db["unitframe"]["units"]["player"]["castbar"]["tickColor"]["a"] = 0.80000001192093
			E.db["unitframe"]["units"]["player"]["castbar"]["height"] = 30
			E.db["unitframe"]["units"]["player"]["castbar"]["iconAttached"] = false
			E.db["unitframe"]["units"]["player"]["castbar"]["iconAttachedTo"] = "Castbar"
			E.db["unitframe"]["units"]["player"]["castbar"]["iconSize"] = 29
			E.db["unitframe"]["units"]["player"]["castbar"]["iconXOffset"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 243
			E.db["unitframe"]["units"]["player"]["classbar"]["detachedWidth"] = 136
			E.db["unitframe"]["units"]["player"]["classbar"]["fill"] = "spaced"
			E.db["unitframe"]["units"]["player"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["player"]["debuffs"]["anchorPoint"] = "BOTTOMLEFT"
			E.db["unitframe"]["units"]["player"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["player"]["debuffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["player"]["debuffs"]["priority"] = "Blacklist,blockNoDuration,Personal,nonPersonal"
			E.db["unitframe"]["units"]["player"]["debuffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["player"]["debuffs"]["yOffset"] = -32
			E.db["unitframe"]["units"]["player"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["player"]["fader"]["enable"] = true
			E.db["unitframe"]["units"]["player"]["fader"]["minAlpha"] = 0
			E.db["unitframe"]["units"]["player"]["fader"]["smooth"] = 0.25
			E.db["unitframe"]["units"]["player"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["player"]["healPrediction"]["anchorPoint"] = "CENTER"
			E.db["unitframe"]["units"]["player"]["health"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["player"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["player"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["player"]["name"]["xOffset"] = 2
			E.db["unitframe"]["units"]["player"]["partyIndicator"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["player"]["partyIndicator"]["xOffset"] = 0
			E.db["unitframe"]["units"]["player"]["partyIndicator"]["yOffset"] = 5
			E.db["unitframe"]["units"]["player"]["portrait"]["camDistanceScale"] = 4.2
			E.db["unitframe"]["units"]["player"]["portrait"]["enable"] = true
			E.db["unitframe"]["units"]["player"]["portrait"]["fullOverlay"] = true
			E.db["unitframe"]["units"]["player"]["portrait"]["overlay"] = true
			E.db["unitframe"]["units"]["player"]["portrait"]["overlayAlpha"] = 0.3
			E.db["unitframe"]["units"]["player"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["player"]["power"]["height"] = 15
			E.db["unitframe"]["units"]["player"]["power"]["powerPrediction"] = true
			E.db["unitframe"]["units"]["player"]["power"]["strataAndLevel"]["frameLevel"] = 128
			E.db["unitframe"]["units"]["player"]["power"]["strataAndLevel"]["frameStrata"] = "HIGH"
			E.db["unitframe"]["units"]["player"]["power"]["strataAndLevel"]["useCustomLevel"] = true
			E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["player"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["player"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["player"]["power"]["EnergyManaRegen"] = true
			E.db["unitframe"]["units"]["player"]["pvp"]["position"] = "CENTER"
			E.db["unitframe"]["units"]["player"]["pvp"]["text_format"] = ""
			E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["xOffset"] = -1
			E.db["unitframe"]["units"]["player"]["raidRoleIcons"]["yOffset"] = -4
			E.db["unitframe"]["units"]["player"]["raidicon"]["attachTo"] = "RIGHT"
			E.db["unitframe"]["units"]["player"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["player"]["raidicon"]["size"] = 20
			E.db["unitframe"]["units"]["player"]["raidicon"]["xOffset"] = 30
			E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = 2
			E.db["unitframe"]["units"]["raid"]["buffIndicator"]["size"] = 20
			E.db["unitframe"]["units"]["raid"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["raid"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["raid"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["raid"]["fader"]["minAlpha"] = 0.5
			E.db["unitframe"]["units"]["raid"]["groupBy"] = "ROLE"
			E.db["unitframe"]["units"]["raid"]["groupsPerRowCol"] = 4
			E.db["unitframe"]["units"]["raid"]["health"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["raid"]["health"]["position"] = "TOPRIGHT"
			E.db["unitframe"]["units"]["raid"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["raid"]["health"]["yOffset"] = 0
			if GetCVar('gxFullscreenResolution') == "3140x2160" or GetCVar('gxWindowedResolution') == "3140x2160"  then
				E.db["unitframe"]["units"]["raid"]["height"] = 32
				E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 7
				E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 7
				E.db["unitframe"]["units"]["raid40"]["height"] = 32
			elseif GetCVar('gxFullscreenResolution') == "2560x1440" or GetCVar('gxWindowedResolution') == "2560x1440"  then
				E.db["unitframe"]["units"]["raid"]["height"] = 31
				E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["height"] = 31
			elseif GetCVar('gxFullscreenResolution') == "1920x1080" or GetCVar('gxWindowedResolution') == "1920x1080"  then
				E.db["unitframe"]["units"]["raid"]["height"] = 31
				E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["height"] = 31
			elseif GetCVar('gxFullscreenResolution') == "auto" or GetCVar('gxWindowedResolution') == "auto"  then
				E.db["unitframe"]["units"]["raid"]["height"] = 31
				E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["height"] = 31
			else
				E.db["unitframe"]["units"]["raid"]["height"] = 31
				E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 6
				E.db["unitframe"]["units"]["raid40"]["height"] = 31
			end
			E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 0
			E.db["unitframe"]["units"]["raid"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["raid"]["infoPanel"]["transparent"] = true
			E.db["unitframe"]["units"]["raid"]["name"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["raid"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid"]["name"]["xOffset"] = 2
			E.db["unitframe"]["units"]["raid"]["numGroups"] = 4
			E.db["unitframe"]["units"]["raid"]["power"]["enable"] = true
			E.db["unitframe"]["units"]["raid"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid"]["raidRoleIcons"]["yOffset"] = -3
			E.db["unitframe"]["units"]["raid"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["raid"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid"]["raidicon"]["size"] = 12
			E.db["unitframe"]["units"]["raid"]["raidicon"]["yOffset"] = -5
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["stack"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["xOffset"] = 75
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["yOffset"] = 20
			E.db["unitframe"]["units"]["raid"]["readycheckIcon"]["position"] = "CENTER"
			E.db["unitframe"]["units"]["raid"]["readycheckIcon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid"]["resurrectIcon"]["yOffset"] = 2
			E.db["unitframe"]["units"]["raid"]["summonIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid"]["summonIcon"]["yOffset"] = -5
			E.db["unitframe"]["units"]["raid"]["verticalSpacing"] = 0
			E.db["unitframe"]["units"]["raid"]["visibility"] = "[@raid6,noexists][@raid21,exists] hide;show"
			E.db["unitframe"]["units"]["raid"]["width"] = 120
			E.db["unitframe"]["units"]["raid40"]["buffIndicator"]["size"] = 10
			E.db["unitframe"]["units"]["raid40"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["raid40"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["raid40"]["fader"]["minAlpha"] = 0.5
			E.db["unitframe"]["units"]["raid40"]["groupsPerRowCol"] = 4
			E.db["unitframe"]["units"]["raid40"]["health"]["position"] = "BOTTOMRIGHT"
			E.db["unitframe"]["units"]["raid40"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid40"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 2
			E.db["unitframe"]["units"]["raid40"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["raid40"]["infoPanel"]["transparent"] = true
			E.db["unitframe"]["units"]["raid40"]["name"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["raid40"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["raid40"]["name"]["text_format"] = "[namecolor][name]"
			E.db["unitframe"]["units"]["raid40"]["name"]["xOffset"] = 2
			E.db["unitframe"]["units"]["raid40"]["power"]["enable"] = true  --dps raid 40
			E.db["unitframe"]["units"]["raid40"]["power"]["text_format"] = "[power:current:shortvalue]"
			E.db["unitframe"]["units"]["raid40"]["raidRoleIcons"]["yOffset"] = -3
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["size"] = 12
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["yOffset"] = -5
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["enable"] = true
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["stack"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["xOffset"] = -48
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["yOffset"] = 20
			--E.db["unitframe"]["units"]["raid40"]["orientation"] = "MIDDLE"
			E.db["unitframe"]["units"]["raid40"]["verticalSpacing"] = 0
			E.db["unitframe"]["units"]["raid40"]["visibility"] = "[@raid21,noexists] hide;show"
			E.db["unitframe"]["units"]["raid40"]["width"] = 120
			E.db["unitframe"]["units"]["tank"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["tank"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["tank"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["tank"]["debuffs"]["sizeOverride"] = 20
			E.db["unitframe"]["units"]["tank"]["fader"]["minAlpha"] = 0.5
			E.db["unitframe"]["units"]["tank"]["height"] = 30
			E.db["unitframe"]["units"]["tank"]["name"]["text_format"] = "[namecolor][name:long:status]"
			E.db["unitframe"]["units"]["tank"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontSize"] = 14
			E.db["unitframe"]["units"]["tank"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["enable"] = false
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["height"] = 30
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["name"]["text_format"] = "[namecolor][name:abbrev]"
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["raidicon"]["attachTo"] = "RIGHT"
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["raidicon"]["size"] = 8
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["xOffset"] = 2
			E.db["unitframe"]["units"]["tank"]["verticalSpacing"] = 7
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["color"]["b"] = 1
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["color"]["g"] = 1
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["defaultColor"] = false
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["xOffset"] = 10
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["yOffset"] = -7
			E.db["unitframe"]["units"]["target"]["aurabar"]["attachTo"] = "FRAME"
			E.db["unitframe"]["units"]["target"]["aurabar"]["maxBars"] = 15
			E.db["unitframe"]["units"]["target"]["aurabar"]["yOffset"] = 1
			E.db["unitframe"]["units"]["target"]["buffs"]["anchorPoint"] = "BOTTOMRIGHT"
			E.db["unitframe"]["units"]["target"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["target"]["buffs"]["numrows"] = 3
			E.db["unitframe"]["units"]["target"]["buffs"]["perrow"] = 6
			E.db["unitframe"]["units"]["target"]["buffs"]["priority"] = "Blacklist,Personal,nonPersonal,Dispellable"
			E.db["unitframe"]["units"]["target"]["buffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["target"]["buffs"]["sortDirection"] = "ASCENDING"
			E.db["unitframe"]["units"]["target"]["buffs"]["xOffset"] = 2
			E.db["unitframe"]["units"]["target"]["buffs"]["yOffset"] = -32
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["invertColors"] = false
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["transparent"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["useReactionColor"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["fontSize"] = 11
			E.db["unitframe"]["units"]["target"]["castbar"]["customTimeFont"]["fontStyle"] = "NONE"
			E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["b"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["g"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["r"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["height"] = 30
			E.db["unitframe"]["units"]["target"]["castbar"]["iconAttachedTo"] = "Castbar"
			E.db["unitframe"]["units"]["target"]["castbar"]["iconAttached"] = false
			E.db["unitframe"]["units"]["target"]["castbar"]["iconSize"] = 29
			E.db["unitframe"]["units"]["target"]["castbar"]["iconXOffset"] = 0
			E.db["unitframe"]["units"]["target"]["castbar"]["width"] = 243
			E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "BOTTOMRIGHT"
			E.db["unitframe"]["units"]["target"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["target"]["debuffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["target"]["debuffs"]["enable"] = false
			E.db["unitframe"]["units"]["target"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["target"]["fader"]["minAlpha"] = 0.25
			E.db["unitframe"]["units"]["target"]["fader"]["smooth"] = 0.25
			E.db["unitframe"]["units"]["target"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["target"]["healPrediction"]["anchorPoint"] = "CENTER"
			E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["target"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["target"]["infoPanel"]["height"] = 2
			E.db["unitframe"]["units"]["target"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["target"]["name"]["xOffset"] = 2
			E.db["unitframe"]["units"]["target"]["portrait"]["camDistanceScale"] = 4.2
			E.db["unitframe"]["units"]["target"]["portrait"]["enable"] = true
			E.db["unitframe"]["units"]["target"]["portrait"]["fullOverlay"] = true
			E.db["unitframe"]["units"]["target"]["portrait"]["overlay"] = true
			E.db["unitframe"]["units"]["target"]["portrait"]["overlayAlpha"] = 0.3
			E.db["unitframe"]["units"]["target"]["portrait"]["rotation"] = 296
			E.db["unitframe"]["units"]["target"]["portrait"]["xOffset"] = 0.1
			E.db["unitframe"]["units"]["target"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["target"]["power"]["height"] = 15
			E.db["unitframe"]["units"]["target"]["power"]["position"] = "BOTTOMRIGHT"
			E.db["unitframe"]["units"]["target"]["power"]["powerPrediction"] = true
			E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["target"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["target"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["target"]["power"]["yOffset"] = 1
			E.db["unitframe"]["units"]["target"]["raidRoleIcons"]["yOffset"] = -2
			E.db["unitframe"]["units"]["target"]["raidicon"]["attachTo"] = "LEFT"
			E.db["unitframe"]["units"]["target"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["target"]["raidicon"]["size"] = 20
			E.db["unitframe"]["units"]["target"]["raidicon"]["xOffset"] = -25
			E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["target"]["smartAuraPosition"] = "DEBUFFS_ON_BUFFS"
			E.db["unitframe"]["units"]["target"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["targettarget"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["targettarget"]["debuffs"]["enable"] = false
			E.db["unitframe"]["units"]["targettarget"]["health"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["targettarget"]["health"]["xOffset"] = 2
			E.db["unitframe"]["units"]["targettarget"]["health"]["yOffset"] = 3
			E.db["unitframe"]["units"]["targettarget"]["height"] = 54
			E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["transparent"] = true
			E.db["unitframe"]["units"]["targettarget"]["name"]["position"] = "TOPLEFT"
			E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["targettarget"]["portrait"]["paused"] = true
			E.db["unitframe"]["units"]["targettarget"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["targettarget"]["power"]["height"] = 15
			E.db["unitframe"]["units"]["targettarget"]["power"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["targettarget"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["targettarget"]["power"]["xOffset"] = -2
			E.db["unitframe"]["units"]["targettarget"]["power"]["yOffset"] = 1
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["size"] = 20
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = 25
			E.db["unitframe"]["units"]["targettarget"]["width"] = 100
			E.db["unitframe"]["units"]["targettargettarget"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["targettargettarget"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["targettargettarget"]["power"]["enable"] = false
			E.db["unitframe"]["units"]["targettargettarget"]["power"]["text_format"] = "[power:current:shortvalue]"

		elseif layout == 'healer' then
			--set Dynamic Status Icons
			if IsAddOnLoaded("ElvUI_DynamicStatusIcons") then
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["anchorPoint"] = "BOTTOMRIGHT"
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["b"] = 0.4274500310421
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["g"] = 0.60784178972244
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["color"]["r"] = 0.77646887302399
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["faceright"] = true
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["iconpack"] = "Default - Pepe - Traveler"
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["scale"] = 0.8
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["xOffset"] = -49
				E.db["unitframe"]["units"]["player"]["DynamicStatusIcons"]["yOffset"] = -88
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["anchorPoint"] = "BOTTOMLEFT"
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["b"] = 0.4274500310421
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["g"] = 0.60784178972244
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["color"]["r"] = 0.77646887302399
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["iconpack"] = "Default - Pepe - Clockwork"
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["scale"] = 0.8
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["xOffset"] = 49
				E.db["unitframe"]["units"]["target"]["DynamicStatusIcons"]["yOffset"] = -88
			end
			-- Healer Action bars
			E.db["actionbar"]["addNewSpells"] = true
			E.db["actionbar"]["bar1"]["buttonSize"] = 40
			E.db["actionbar"]["bar1"]["buttonSpacing"] = 3
			E.db["actionbar"]["bar1"]["buttons"] = 7
			E.db["actionbar"]["bar1"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar1"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar1"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar1"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar1"]["paging"]["DRUID"] = ""
			E.db["actionbar"]["bar1"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar1"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar10"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar10"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar10"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar10"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar10"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar2"]["buttonHeight"] = 25
			E.db["actionbar"]["bar2"]["buttonSize"] = 30
			E.db["actionbar"]["bar2"]["buttonSpacing"] = 3
			E.db["actionbar"]["bar2"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar2"]["enabled"] = true
			E.db["actionbar"]["bar2"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar2"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar2"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar2"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar2"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar3"]["buttonsPerRow"] = 6
			E.db["actionbar"]["bar3"]["buttonHeight"] = 25
			E.db["actionbar"]["bar3"]["buttonSize"] = 30
			E.db["actionbar"]["bar3"]["buttonSpacing"] = 3
			E.db["actionbar"]["bar3"]["buttons"] = 12
			E.db["actionbar"]["bar3"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar3"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar3"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar3"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar3"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar3"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar4"]["backdrop"] = false
			E.db["actionbar"]["bar4"]["buttonHeight"] = 25
			E.db["actionbar"]["bar4"]["buttonSize"] = 30
			E.db["actionbar"]["bar4"]["buttonSpacing"] = 3
			E.db["actionbar"]["bar4"]["buttonsPerRow"] = 12
			E.db["actionbar"]["bar4"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar4"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar4"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar4"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar4"]["paging"]["DEATHKNIGHT"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["DEMONHUNTER"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["DRUID"] = "[bonusbar:1,nostealth] 7; [bonusbar:1,stealth] 8; [bonusbar:2] 8; [bonusbar:3] 9; [bonusbar:4] 10; [vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["HUNTER"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["MAGE"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["MONK"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["PALADIN"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["PRIEST"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["ROGUE"] = "[bonusbar:1,nostealth] 4; [bonusbar:1,stealth] 7; [vehicleui] 12; [overridebar] 14; [possessbar] 12; [bonusbar:1] 7;"
			E.db["actionbar"]["bar4"]["paging"]["SHAMAN"] = "[vehicleui] 12; [overridebar] 14; [possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["WARLOCK"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["paging"]["WARRIOR"] = "[vehicleui] 12; [overridebar] 14;[possessbar] 12;"
			E.db["actionbar"]["bar4"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar4"]["visibility"] = "[vehicleui] show; [overridebar] show; [petbattle] hide; show"
			E.db["actionbar"]["bar5"]["buttonsPerRow"] = 6
			E.db["actionbar"]["bar5"]["buttonHeight"] = 25
			E.db["actionbar"]["bar5"]["buttonSize"] = 30
			E.db["actionbar"]["bar5"]["buttonSpacing"] = 3
			E.db["actionbar"]["bar5"]["buttons"] = 12
			E.db["actionbar"]["bar5"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar5"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar5"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar5"]["enabled"] = true
			E.db["actionbar"]["bar5"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar5"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar5"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar6"]["buttonHeight"] = 25
			if GetCVar('gxFullscreenResolution') == "3140x2160" or GetCVar('gxWindowedResolution') == "3140x2160"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 0
				E.db["actionbar"]["bar6"]["buttonSize"] = 35
			elseif GetCVar('gxFullscreenResolution') == "2560x1440" or GetCVar('gxWindowedResolution') == "2560x1440"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			elseif GetCVar('gxFullscreenResolution') == "1920x1080" or GetCVar('gxWindowedResolution') == "1920x1080"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			elseif GetCVar('gxFullscreenResolution') == "auto" or GetCVar('gxWindowedResolution') == "auto"  then
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			else
				E.db["actionbar"]["bar6"]["buttonSpacing"] = 1
				E.db["actionbar"]["bar6"]["buttonSize"] = 33
			end
			E.db["actionbar"]["bar6"]["buttons"] = 12
			E.db["actionbar"]["bar6"]["buttonsPerRow"] = 12
			E.db["actionbar"]["bar6"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar6"]["enabled"] = true
			E.db["actionbar"]["bar6"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar6"]["keepSizeRatio"] = false
			E.db["actionbar"]["bar6"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar6"]["mouseover"] = true
			E.db["actionbar"]["bar6"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar7"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar7"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar7"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar7"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar7"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar8"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar8"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar8"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar8"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar8"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["bar9"]["countFont"] = "Kimberley"
			E.db["actionbar"]["bar9"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["bar9"]["macroFont"] = "Kimberley"
			E.db["actionbar"]["bar9"]["point"] = "TOPLEFT"
			E.db["actionbar"]["bar9"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["barPet"]["buttonHeight"] = 18
			E.db["actionbar"]["barPet"]["buttonSize"] = 31
			E.db["actionbar"]["barPet"]["buttonsPerRow"] = 3
			E.db["actionbar"]["barPet"]["countFont"] = "Kimberley"
			E.db["actionbar"]["barPet"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["barPet"]["keepSizeRatio"] = false
			E.db["actionbar"]["barPet"]["point"] = "TOPLEFT"
			E.db["actionbar"]["chargeCooldown"] = true
			E.db["actionbar"]["desaturateOnCooldown"] = true
			E.db["actionbar"]["font"] = "Kimberley"
			E.db["actionbar"]["fontOutline"] = "OUTLINE"
			E.db["actionbar"]["globalFadeAlpha"] = 1
			E.db["actionbar"]["lockActionBars"] = false
			E.db["actionbar"]["noPowerColor"]["b"] = 0.43921568627451
			E.db["actionbar"]["noPowerColor"]["g"] = 0.21960784313725
			E.db["actionbar"]["noPowerColor"]["r"] = 0.21960784313725
			E.db["actionbar"]["notUsableColor"]["b"] = 0.16862745098039
			E.db["actionbar"]["notUsableColor"]["g"] = 0.16862745098039
			E.db["actionbar"]["notUsableColor"]["r"] = 0.16862745098039
			E.db["actionbar"]["rightClickSelfCast"] = true
			E.db["actionbar"]["stanceBar"]["buttonSize"] = 25
			E.db["actionbar"]["stanceBar"]["buttonSpacing"] = 1
			E.db["actionbar"]["stanceBar"]["hotkeyFont"] = "Kimberley"
			E.db["actionbar"]["stanceBar"]["mouseover"] = false
			E.db["actionbar"]["stanceBar"]["visibility"] = "[vehicleui] hide; [overridebar] hide; [possessbar] hide; [petbattle] hide; show"
			E.db["actionbar"]["transparent"] = true
			E.db["actionbar"]["useDrawSwipeOnCharges"] = true
			E.db["actionbar"]["vehicleExitButton"]["hotkeyFont"] = "Kimberley"

			-- Healer Auras
			E.db["auras"]["buffs"]["barColor"]["b"] = 0.86666476726532
			E.db["auras"]["buffs"]["barColor"]["g"] = 0.4392147064209
			E.db["auras"]["buffs"]["barNoDuration"] = false
			E.db["auras"]["buffs"]["barPosition"] = "LEFT"
			E.db["auras"]["buffs"]["barShow"] = false
			E.db["auras"]["buffs"]["barSize"] = 6
			E.db["auras"]["buffs"]["barSpacing"] = 0
			E.db["auras"]["buffs"]["barTexture"] = "Eltreum-Blank"
			E.db["auras"]["buffs"]["countFont"] = "Kimberley"
			E.db["auras"]["buffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["buffs"]["countFontSize"] = 12
			E.db["auras"]["buffs"]["fadeThreshold"] = 10
			E.db["auras"]["buffs"]["horizontalSpacing"] = 7
			E.db["auras"]["buffs"]["maxWraps"] = 2
			E.db["auras"]["buffs"]["size"] = 32
			E.db["auras"]["buffs"]["sortDir"] = "+"
			E.db["auras"]["buffs"]["timeFont"] = "Kimberley"
			E.db["auras"]["buffs"]["timeFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["buffs"]["timeFontSize"] = 12
			E.db["auras"]["buffs"]["verticalSpacing"] = 14
			E.db["auras"]["buffs"]["wrapAfter"] = 10
			E.db["auras"]["debuffs"]["barColor"]["b"] = 0.86666476726532
			E.db["auras"]["debuffs"]["barColor"]["g"] = 0.4392147064209
			E.db["auras"]["debuffs"]["barNoDuration"] = false
			E.db["auras"]["debuffs"]["barPosition"] = "LEFT"
			E.db["auras"]["debuffs"]["barShow"] = false
			E.db["auras"]["debuffs"]["barSize"] = 6
			E.db["auras"]["debuffs"]["barSpacing"] = 0
			E.db["auras"]["debuffs"]["barTexture"] = "Eltreum-Blank"
			E.db["auras"]["debuffs"]["countFont"] = "Kimberley"
			E.db["auras"]["debuffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["debuffs"]["countFontSize"] = 12
			E.db["auras"]["debuffs"]["fadeThreshold"] = 5
			E.db["auras"]["debuffs"]["horizontalSpacing"] = 7
			E.db["auras"]["debuffs"]["size"] = 32
			E.db["auras"]["debuffs"]["sortDir"] = "+"
			E.db["auras"]["debuffs"]["timeFont"] = "Kimberley"
			E.db["auras"]["debuffs"]["timeFontOutline"] = "THICKOUTLINE"
			E.db["auras"]["debuffs"]["timeFontSize"] = 12
			E.db["auras"]["debuffs"]["verticalSpacing"] = 14
			E.db["auras"]["debuffs"]["wrapAfter"] = 10

			-- Growth Directions Healing
			E.db["unitframe"]["units"]["party"]["growthDirection"] = "RIGHT_UP"
			E.db["unitframe"]["units"]["raid"]["growthDirection"] = "DOWN_RIGHT"
			E.db["unitframe"]["units"]["raid40"]["growthDirection"] = "DOWN_RIGHT"

			-- Movers Healing
			E.db["movers"]["BNETMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-6,-259"
			E.db["movers"]["BelowMinimapContainerMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,79,-155"
			E.db["movers"]["BossButton"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-458,126"
			E.db["movers"]["BossHeaderMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-27,-384"
			--E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-210,-3"
			--E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-210,-101"
			E.db["movers"]["BuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-213,-4"
			E.db["movers"]["DebuffsMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-213,-101"
			E.db["movers"]["DurabilityFrameMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,498,366"
			E.db["movers"]["ElvAB_1"] = "BOTTOM,ElvUIParent,BOTTOM,0,307"
			E.db["movers"]["ElvAB_10"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,344"
			E.db["movers"]["ElvAB_2"] = "BOTTOM,ElvUIParent,BOTTOM,0,280"
			E.db["movers"]["ElvAB_3"] = "BOTTOM,ElvUIParent,BOTTOM,308,253"
			E.db["movers"]["ElvAB_4"] = "BOTTOM,ElvUIParent,BOTTOM,0,253"
			E.db["movers"]["ElvAB_5"] = "BOTTOM,ElvUIParent,BOTTOM,-308,253"
			E.db["movers"]["ElvAB_6"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,203"
			E.db["movers"]["ElvAB_7"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,240"
			E.db["movers"]["ElvAB_8"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,275"
			E.db["movers"]["ElvAB_9"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-4,310"
			E.db["movers"]["ElvUF_AssistMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,130,-523"
			E.db["movers"]["ElvUF_FocusMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,424,-204"
			E.db["movers"]["ElvUF_PartyMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,87"
			E.db["movers"]["ElvUF_PetCastbarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,311,352"
			E.db["movers"]["ElvUF_PetMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,426,336"
			--E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,345"
			E.db["movers"]["ElvUF_PlayerCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,13,345"
			E.db["movers"]["ElvUF_PlayerMover"] = "BOTTOM,ElvUIParent,BOTTOM,-280,387"
			E.db["movers"]["ElvUF_Raid40Mover"] = "BOTTOM,ElvUIParent,BOTTOM,0,-1"
			E.db["movers"]["ElvUF_RaidMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,-1"
			E.db["movers"]["ElvUF_RaidpetMover"] = "TOPLEFT,ElvUIParent,BOTTOMLEFT,4,736"
			E.db["movers"]["ElvUF_TankMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-435,-449"
			E.db["movers"]["ElvUF_TargetAuraMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-400,288"
			E.db["movers"]["ElvUF_TargetCastbarMover"] = "BOTTOM,ElvUIParent,BOTTOM,311,359"
			E.db["movers"]["ElvUF_TargetMover"] = "BOTTOM,ElvUIParent,BOTTOM,280,387"
			E.db["movers"]["ElvUF_TargetTargetMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-427,388"
			E.db["movers"]["ElvUIBagMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,24"
			E.db["movers"]["ElvUIBankMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,0,24"
			E.db["movers"]["ReputationBarMover"] = "TOP,ElvUIParent,TOP,0,0"
			E.db["movers"]["ExperienceBarMover"] = "TOP,ElvUIParent,TOP,0,-13"
			--E.db["movers"]["ReputationBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,412,0"
			--E.db["movers"]["ExperienceBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,421,0"
			E.db["movers"]["GMMover"] = "TOP,ElvUIParent,TOP,239,-3"
			E.db["movers"]["LeftChatMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,-1,0"
			E.db["movers"]["LootFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,274,-132"
			E.db["movers"]["LossControlMover"] = "TOP,ElvUIParent,TOP,0,-317"
			E.db["movers"]["MasterExperienceMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-349"
			E.db["movers"]["MinimapButtonAnchor"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-223"
			E.db["movers"]["MinimapMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-6,-3"
			E.db["movers"]["MirrorTimer1Mover"] = "TOP,ElvUIParent,TOP,-1,-96"
			E.db["movers"]["ObjectiveFrameMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-65,-319"
			E.db["movers"]["PetAB"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,426,255"
			E.db["movers"]["RaidMarkerBarAnchor"] = "TOPLEFT,ElvUIParent,TOPLEFT,343,1"
			E.db["movers"]["RaidUtility_Mover"] = "TOP,ElvUIParent,TOP,-220,1"
			E.db["movers"]["RightChatMover"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,0,0"
			E.db["movers"]["ShiftAB"] = "BOTTOM,ElvUIParent,BOTTOM,-278,306"
			E.db["movers"]["SocialMenuMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-456"
			E.db["movers"]["SquareMinimapBar"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,0,-197"
			E.db["movers"]["SquareMinimapButtonBarMover"] = "TOPRIGHT,ElvUIParent,TOPRIGHT,-5,-226"
			E.db["movers"]["TalkingHeadFrameMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,274,-77"
			E.db["movers"]["ThreatBarMover"] = "BOTTOMLEFT,ElvUIParent,BOTTOMLEFT,0,-1"
			E.db["movers"]["TooltipMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,274,-134"
			E.db["movers"]["TotemBarMover"] = "BOTTOM,ElvUIParent,BOTTOM,0,376"
			E.db["movers"]["ZoneAbility"] = "BOTTOMRIGHT,ElvUIParent,BOTTOMRIGHT,-458,73"

			-- UnitFrames Healing
			E.db["unitframe"]["colors"]["auraBarBuff"]["b"] = 0.86666476726532
			E.db["unitframe"]["colors"]["auraBarBuff"]["g"] = 0.4392147064209
			E.db["unitframe"]["colors"]["auraBarBuff"]["r"] = 0
			E.db["unitframe"]["colors"]["aurabar_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["aurabar_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["aurabar_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["castClassColor"] = true
			E.db["unitframe"]["colors"]["castColor"]["b"] = 0.98823529411765
			E.db["unitframe"]["colors"]["castColor"]["g"] = 0.98823529411765
			E.db["unitframe"]["colors"]["castColor"]["r"] = 0.98823529411765
			E.db["unitframe"]["colors"]["castbar_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["castbar_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["castbar_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["classbackdrop"] = true
			E.db["unitframe"]["colors"]["colorhealthbyvalue"] = false
			E.db["unitframe"]["colors"]["customclasspowerbackdrop"] = true
			E.db["unitframe"]["colors"]["classpower_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["classpower_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["classpower_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["customaurabarbackdrop"] = true
			E.db["unitframe"]["colors"]["customcastbarbackdrop"] = true
			E.db["unitframe"]["colors"]["custompowerbackdrop"] = true
			E.db["unitframe"]["colors"]["health"]["b"] = 0
			E.db["unitframe"]["colors"]["health"]["g"] = 0
			E.db["unitframe"]["colors"]["health"]["r"] = 0
			E.db["unitframe"]["colors"]["healthMultiplier"] = 0.75
			E.db["unitframe"]["colors"]["health_backdrop"]["b"] = 0.72941176470588
			E.db["unitframe"]["colors"]["health_backdrop"]["g"] = 0.54901960784314
			E.db["unitframe"]["colors"]["health_backdrop"]["r"] = 0.95686274509804
			E.db["unitframe"]["colors"]["health_backdrop_dead"]["b"] = 0
			E.db["unitframe"]["colors"]["health_backdrop_dead"]["g"] = 0
			E.db["unitframe"]["colors"]["health_backdrop_dead"]["r"] = 0
			E.db["unitframe"]["colors"]["healPrediction"]["others"]["a"] = 0.35
			E.db["unitframe"]["colors"]["healPrediction"]["overabsorbs"]["a"] = 0.35
			E.db["unitframe"]["colors"]["healPrediction"]["overhealabsorbs"]["a"] = 0.35
			E.db["unitframe"]["colors"]["healPrediction"]["personal"]["a"] = 0.35
			E.db["unitframe"]["colors"]["power"]["ENERGY"]["b"] = 0.53725490196078
			E.db["unitframe"]["colors"]["power"]["ENERGY"]["g"] = 0.96862745098039
			E.db["unitframe"]["colors"]["power"]["ENERGY"]["r"] = 1
			E.db["unitframe"]["colors"]["power"]["MANA"]["b"] = 1
			E.db["unitframe"]["colors"]["power"]["MANA"]["g"] = 0.71372549019608
			E.db["unitframe"]["colors"]["power"]["MANA"]["r"] = 0.49019607843137
			E.db["unitframe"]["colors"]["power"]["RAGE"]["b"] = 0.32156862745098
			E.db["unitframe"]["colors"]["power"]["RAGE"]["g"] = 0.32156862745098
			E.db["unitframe"]["colors"]["power"]["RAGE"]["r"] = 1
			E.db["unitframe"]["colors"]["power_backdrop"]["b"] = 0
			E.db["unitframe"]["colors"]["power_backdrop"]["g"] = 0
			E.db["unitframe"]["colors"]["power_backdrop"]["r"] = 0
			E.db["unitframe"]["colors"]["transparentAurabars"] = true
			E.db["unitframe"]["colors"]["transparentCastbar"] = true
			E.db["unitframe"]["colors"]["transparentHealth"] = true
			E.db["unitframe"]["colors"]["transparentPower"] = true
			E.db["unitframe"]["debuffHighlighting"] = "GLOW"
			E.db["unitframe"]["statusbar"] = "Eltreum-Blank"
			E.db["unitframe"]["font"] = "Kimberley"
			E.db["unitframe"]["fontOutline"] = "OUTLINE"
			E.db["unitframe"]["smartRaidFilter"] = false
			E.db["unitframe"]["smoothbars"] = true
			E.db["unitframe"]["targetSound"] = true
			--new assit/tank tbc
			E.db["unitframe"]["units"]["assist"]["height"] = 25
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["duration"]["position"] = "TOP"
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["fontOutline"] = "OUTLINE"
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["assist"]["rdebuffs"]["yOffset"] = 7
			E.db["unitframe"]["units"]["assist"]["targetsGroup"]["enable"] = false
			E.db["unitframe"]["units"]["assist"]["targetsGroup"]["height"] = 25
			E.db["unitframe"]["units"]["assist"]["targetsGroup"]["xOffset"] = -3
			E.db["unitframe"]["units"]["assist"]["verticalSpacing"] = 1
			E.db["unitframe"]["units"]["tank"]["buffIndicator"]["size"] = 12
			E.db["unitframe"]["units"]["tank"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["tank"]["buffs"]["enable"] = true
			E.db["unitframe"]["units"]["tank"]["buffs"]["priority"] = "Blacklist,TurtleBuffs,RaidBuffsElvUI"
			E.db["unitframe"]["units"]["tank"]["buffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["tank"]["debuffs"]["attachTo"] = "BUFFS"
			E.db["unitframe"]["units"]["tank"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["tank"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["tank"]["debuffs"]["priority"] = "Blacklist,Boss,RaidDebuffs,CCDebuffs,Dispellable,Whitelist"
			E.db["unitframe"]["units"]["tank"]["debuffs"]["sizeOverride"] = 30
			E.db["unitframe"]["units"]["tank"]["debuffs"]["yOffset"] = 2
			E.db["unitframe"]["units"]["tank"]["height"] = 30
			E.db["unitframe"]["units"]["tank"]["rdebuffs"]["fontOutline"] = "OUTLINE"
			E.db["unitframe"]["units"]["tank"]["verticalSpacing"] = 7
			E.db["unitframe"]["units"]["tank"]["rdebuffs"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["anchorPoint"] = "LEFT"
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["height"] = 30
			E.db["unitframe"]["units"]["tank"]["targetsGroup"]["xOffset"] = -3
			-- end of new assist/tank tbc
			E.db["unitframe"]["units"]["party"]["buffIndicator"]["size"] = 16
			E.db["unitframe"]["units"]["party"]["buffs"]["anchorPoint"] = "TOPRIGHT"
			E.db["unitframe"]["units"]["party"]["buffs"]["clickThrough"] = true
			E.db["unitframe"]["units"]["party"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["buffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["party"]["buffs"]["countFontSize"] = 14
			E.db["unitframe"]["units"]["party"]["buffs"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["buffs"]["perrow"] = 6
			E.db["unitframe"]["units"]["party"]["buffs"]["sizeOverride"] = 24
			E.db["unitframe"]["units"]["party"]["buffs"]["yOffset"] = 1
			E.db["unitframe"]["units"]["party"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["party"]["debuffs"]["anchorPoint"] = "TOPRIGHT"
			E.db["unitframe"]["units"]["party"]["debuffs"]["attachTo"] = "BUFFS"
			E.db["unitframe"]["units"]["party"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["debuffs"]["desaturate"] = false
			E.db["unitframe"]["units"]["party"]["debuffs"]["perrow"] = 6
			E.db["unitframe"]["units"]["party"]["debuffs"]["sizeOverride"] = 24
			E.db["unitframe"]["units"]["party"]["groupBy"] = "ROLE"
			E.db["unitframe"]["units"]["party"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["party"]["healPrediction"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["health"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["party"]["health"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["party"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["party"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["party"]["height"] = 60
			E.db["unitframe"]["units"]["party"]["horizontalSpacing"] = 9
			E.db["unitframe"]["units"]["party"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["infoPanel"]["height"] = 16
			E.db["unitframe"]["units"]["party"]["name"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["party"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["party"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["party"]["orientation"] = "RIGHT"
			E.db["unitframe"]["units"]["party"]["portrait"]["desaturation"] = 0.7
			E.db["unitframe"]["units"]["party"]["portrait"]["fullOverlay"] = true
			E.db["unitframe"]["units"]["party"]["portrait"]["overlay"] = true
			E.db["unitframe"]["units"]["party"]["portrait"]["paused"] = true
			E.db["unitframe"]["units"]["party"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["party"]["power"]["height"] = 12
			E.db["unitframe"]["units"]["party"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["party"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["party"]["raidicon"]["attachTo"] = "TOPRIGHT"
			E.db["unitframe"]["units"]["party"]["raidicon"]["size"] = 24
			E.db["unitframe"]["units"]["party"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["fontSize"] = 12
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["size"] = 22
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["xOffset"] = -35
			E.db["unitframe"]["units"]["party"]["rdebuffs"]["yOffset"] = 40
			E.db["unitframe"]["units"]["party"]["readycheckIcon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["party"]["resurrectIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["party"]["sortDir"] = "DESC"
			E.db["unitframe"]["units"]["party"]["summonIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["party"]["verticalSpacing"] = 9
			E.db["unitframe"]["units"]["party"]["width"] = 150
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customTextFont"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["customTextFont"]["font"] = "Kimberley"
			E.db["unitframe"]["units"]["party"]["castbar"]["enable"] = true
			E.db["unitframe"]["units"]["party"]["castbar"]["height"] = 15
			E.db["unitframe"]["units"]["party"]["castbar"]["overlayOnFrame"] = "InfoPanel"
			E.db["unitframe"]["units"]["party"]["castbar"]["positionsGroup"]["anchorPoint"] = "LEFT"
			E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["b"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["g"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["textColor"]["r"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["timeToHold"] = 1
			E.db["unitframe"]["units"]["party"]["castbar"]["width"] = 200
			E.db["unitframe"]["units"]["party"]["castbar"]["xOffsetText"] = 2
			E.db["unitframe"]["units"]["pet"]["buffIndicator"]["size"] = 15
			E.db["unitframe"]["units"]["pet"]["buffs"]["attachTo"] = "DEBUFFS"
			E.db["unitframe"]["units"]["pet"]["buffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["a"] = 0
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0.50196078431373
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0.50196078431373
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0.50196078431373
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["enable"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["invertColors"] = false
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["transparent"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["pet"]["castbar"]["height"] = 28
			E.db["unitframe"]["units"]["pet"]["castbar"]["overlayOnFrame"] = "Health"
			E.db["unitframe"]["units"]["pet"]["castbar"]["width"] = 130
			E.db["unitframe"]["units"]["pet"]["debuffs"]["countFontOutline"] = "NONE"
			E.db["unitframe"]["units"]["pet"]["disableTargetGlow"] = false
			E.db["unitframe"]["units"]["pet"]["fader"]["casting"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["combat"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["health"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["hover"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["minAlpha"] = 0
			E.db["unitframe"]["units"]["pet"]["fader"]["playertarget"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["power"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["range"] = false
			E.db["unitframe"]["units"]["pet"]["fader"]["unittarget"] = true
			E.db["unitframe"]["units"]["pet"]["fader"]["vehicle"] = true
			E.db["unitframe"]["units"]["pet"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["pet"]["power"]["enable"] = true
			--E.db["unitframe"]["units"]["pet"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["pet"]["power"]["width"] = "filled"
			E.db["unitframe"]["units"]["pet"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["pet"]["power"]["height"] = 12
			E.db["unitframe"]["units"]["pet"]["power"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["pet"]["power"]["powerPrediction"] = true
			E.db["unitframe"]["units"]["pet"]["power"]["text_format"] = "[powercolor][power:current:shortvalue]"
			E.db["unitframe"]["units"]["pet"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["pet"]["disableMouseoverGlow"] = true
			--E.db["unitframe"]["units"]["pet"]["smartAuraPosition"] = "FLUID_BUFFS_ON_DEBUFFS"
			E.db["unitframe"]["units"]["pet"]["width"] = 100
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["b"] = 1
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["color"]["g"] = 1
			E.db["unitframe"]["units"]["player"]["CombatIcon"]["defaultColor"] = false
			E.db["unitframe"]["units"]["player"]["RestIcon"]["color"]["a"] = 0.57115608453751
			E.db["unitframe"]["units"]["player"]["RestIcon"]["defaultColor"] = false
			E.db["unitframe"]["units"]["player"]["RestIcon"]["size"] = 15
			E.db["unitframe"]["units"]["player"]["RestIcon"]["texture"] = "Resting0"
			E.db["unitframe"]["units"]["player"]["RestIcon"]["xOffset"] = 8
			E.db["unitframe"]["units"]["player"]["RestIcon"]["yOffset"] = -7
			E.db["unitframe"]["units"]["player"]["aurabar"]["attachTo"] = "FRAME"
			E.db["unitframe"]["units"]["player"]["aurabar"]["spacing"] = 1
			E.db["unitframe"]["units"]["player"]["aurabar"]["yOffset"] = 1
			E.db["unitframe"]["units"]["player"]["buffs"]["countFont"] = "Kimberley"

			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["a"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 0.50196078431373
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 0.50196078431373
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 0.50196078431373
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorNoInterrupt"]["b"] = 0.29803921568627
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorNoInterrupt"]["g"] = 0.78039215686275
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["colorNoInterrupt"]["r"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["transparent"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["customColor"]["useCustomBackdrop"] = true
			E.db["unitframe"]["units"]["player"]["castbar"]["height"] = 28
			E.db["unitframe"]["units"]["player"]["castbar"]["iconAttached"] = false
			E.db["unitframe"]["units"]["player"]["castbar"]["iconAttachedTo"] = "Castbar"
			E.db["unitframe"]["units"]["player"]["castbar"]["iconSize"] = 27
			E.db["unitframe"]["units"]["player"]["castbar"]["iconXOffset"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["insideInfoPanel"] = false
			E.db["unitframe"]["units"]["player"]["castbar"]["tickColor"]["a"] = 0
			E.db["unitframe"]["units"]["player"]["castbar"]["tickColor"]["b"] = 1
			E.db["unitframe"]["units"]["player"]["castbar"]["tickColor"]["g"] = 1
			E.db["unitframe"]["units"]["player"]["castbar"]["tickColor"]["r"] = 1
			E.db["unitframe"]["units"]["player"]["castbar"]["tickWidth"] = 20
			E.db["unitframe"]["units"]["player"]["castbar"]["ticks"] = false
			E.db["unitframe"]["units"]["player"]["castbar"]["timeToHold"] = 0.6
			E.db["unitframe"]["units"]["player"]["castbar"]["width"] = 267

			E.db["unitframe"]["units"]["player"]["classbar"]["fill"] = "spaced"
			E.db["unitframe"]["units"]["player"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["player"]["debuffs"]["anchorPoint"] = "BOTTOMLEFT"
			E.db["unitframe"]["units"]["player"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["player"]["debuffs"]["yOffset"] = -2
			E.db["unitframe"]["units"]["player"]["disableMouseoverGlow"] = true
			E.db["unitframe"]["units"]["player"]["fader"]["enable"] = true
			E.db["unitframe"]["units"]["player"]["fader"]["minAlpha"] = 0
			E.db["unitframe"]["units"]["player"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["player"]["healPrediction"]["anchorPoint"] = "CENTER"
			E.db["unitframe"]["units"]["player"]["health"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["player"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["player"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["player"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["player"]["name"]["xOffset"] = 3
			E.db["unitframe"]["units"]["player"]["portrait"]["camDistanceScale"] = 4.2
			E.db["unitframe"]["units"]["player"]["portrait"]["enable"] = true
			E.db["unitframe"]["units"]["player"]["portrait"]["fullOverlay"] = true
			E.db["unitframe"]["units"]["player"]["portrait"]["overlay"] = true
			E.db["unitframe"]["units"]["player"]["portrait"]["overlayAlpha"] = 0.3
			E.db["unitframe"]["units"]["player"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["player"]["power"]["height"] = 14
			E.db["unitframe"]["units"]["player"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["player"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["player"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["player"]["power"]["EnergyManaRegen"] = true
			E.db["unitframe"]["units"]["player"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["player"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["player"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid"]["buffIndicator"]["size"] = 12
			E.db["unitframe"]["units"]["raid"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["raid"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["anchorPoint"] = "CENTER"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["attachTo"] = "HEALTH"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["desaturate"] = false
			E.db["unitframe"]["units"]["raid"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["raid"]["debuffs"]["perrow"] = 5
			E.db["unitframe"]["units"]["raid"]["debuffs"]["priority"] = "Blacklist,Boss,CCDebuffs,Dispellable,Whitelist"
			E.db["unitframe"]["units"]["raid"]["debuffs"]["sizeOverride"] = 15
			E.db["unitframe"]["units"]["raid"]["debuffs"]["spacing"] = 0
			E.db["unitframe"]["units"]["raid"]["debuffs"]["xOffset"] = 40
			E.db["unitframe"]["units"]["raid"]["debuffs"]["yOffset"] = -5
			E.db["unitframe"]["units"]["raid"]["fader"]["minAlpha"] = 0.8
			E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 0
			E.db["unitframe"]["units"]["raid"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["raid"]["healPrediction"]["enable"] = true
			E.db["unitframe"]["units"]["raid"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid"]["height"] = 35
			E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 0
			E.db["unitframe"]["units"]["raid"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["raid"]["name"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["raid"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["raid"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid"]["portrait"]["camDistanceScale"] = 4
			E.db["unitframe"]["units"]["raid"]["portrait"]["desaturation"] = 1
			E.db["unitframe"]["units"]["raid"]["portrait"]["fullOverlay"] = true
			E.db["unitframe"]["units"]["raid"]["portrait"]["overlayAlpha"] = 0.2
			E.db["unitframe"]["units"]["raid"]["power"]["enable"] = true
			E.db["unitframe"]["units"]["raid"]["power"]["height"] = 8
			E.db["unitframe"]["units"]["raid"]["power"]["powerPrediction"] = true
			E.db["unitframe"]["units"]["raid"]["power"]["yOffset"] = 4
			E.db["unitframe"]["units"]["raid"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["raid"]["raidicon"]["attachTo"] = "TOPRIGHT"
			E.db["unitframe"]["units"]["raid"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid"]["raidicon"]["size"] = 12
			E.db["unitframe"]["units"]["raid"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["fontSize"] = 12
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["xOffset"] = -40
			E.db["unitframe"]["units"]["raid"]["rdebuffs"]["yOffset"] = 22
			E.db["unitframe"]["units"]["raid"]["readycheckIcon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["raid"]["resurrectIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid"]["resurrectIcon"]["size"] = 20
			E.db["unitframe"]["units"]["raid"]["summonIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid"]["summonIcon"]["size"] = 20
			E.db["unitframe"]["units"]["raid"]["threatStyle"] = "HEALTHBORDER"
			E.db["unitframe"]["units"]["raid"]["visibility"] = "[@raid6,noexists][@raid21,exists] hide;show"
			E.db["unitframe"]["units"]["raid"]["width"] = 150
			E.db["unitframe"]["units"]["raid40"]["buffIndicator"]["size"] = 12
			E.db["unitframe"]["units"]["raid40"]["buffs"]["sizeOverride"] = 17
			E.db["unitframe"]["units"]["raid40"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["anchorPoint"] = "CENTER"
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["attachTo"] = "HEALTH"
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["countFontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["countFontSize"] = 10
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["enable"] = true
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["priority"] = "Blacklist,Boss,CCDebuffs,Dispellable,Whitelist"
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["sizeOverride"] = 15
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["spacing"] = 0
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["xOffset"] = 25
			E.db["unitframe"]["units"]["raid40"]["debuffs"]["yOffset"] = 5
			E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 10
			E.db["unitframe"]["units"]["raid40"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["raid40"]["healPrediction"]["enable"] = true
			E.db["unitframe"]["units"]["raid40"]["health"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["raid40"]["health"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["raid40"]["health"]["text_format"] = "[health:current:shortvalue]"
			E.db["unitframe"]["units"]["raid40"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["health"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["height"] = 35
			E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 0
			E.db["unitframe"]["units"]["raid40"]["infoPanel"]["enable"] = true
			E.db["unitframe"]["units"]["raid40"]["name"]["attachTextTo"] = "InfoPanel"
			E.db["unitframe"]["units"]["raid40"]["name"]["position"] = "BOTTOMLEFT"
			E.db["unitframe"]["units"]["raid40"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["raid40"]["power"]["enable"] = true   --healer raid40
			E.db["unitframe"]["units"]["raid40"]["power"]["height"] = 8
			E.db["unitframe"]["units"]["raid40"]["power"]["width"] = "inset"
			E.db["unitframe"]["units"]["raid40"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["power"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["raidRoleIcons"]["yOffset"] = -2
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["size"] = 12
			E.db["unitframe"]["units"]["raid40"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["enable"] = true
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontOutline"] = "THICKOUTLINE"
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["fontSize"] = 15
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["xOffset"] = -25
			E.db["unitframe"]["units"]["raid40"]["rdebuffs"]["yOffset"] = 25
			E.db["unitframe"]["units"]["raid40"]["orientation"] = "MIDDLE"
			E.db["unitframe"]["units"]["raid40"]["readycheckIcon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["raid40"]["resurrectIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid40"]["resurrectIcon"]["size"] = 15
			E.db["unitframe"]["units"]["raid40"]["summonIcon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["raid40"]["summonIcon"]["size"] = 15
			E.db["unitframe"]["units"]["raid40"]["visibility"] = "[@raid21,noexists] hide;show"
			E.db["unitframe"]["units"]["raid40"]["width"] = 100
			E.db["unitframe"]["units"]["raidpet"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["size"] = 20
			E.db["unitframe"]["units"]["raidpet"]["rdebuffs"]["yOffset"] = 5
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["color"]["b"] = 1
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["color"]["g"] = 1
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["defaultColor"] = false
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["xOffset"] = 8
			E.db["unitframe"]["units"]["target"]["CombatIcon"]["yOffset"] = -7
			E.db["unitframe"]["units"]["target"]["aurabar"]["spacing"] = 1
			E.db["unitframe"]["units"]["target"]["aurabar"]["yOffset"] = 1
			E.db["unitframe"]["units"]["target"]["buffs"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["target"]["buffs"]["attachTo"] = "DEBUFFS"
			E.db["unitframe"]["units"]["target"]["buffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["target"]["buffs"]["enable"] = false
			E.db["unitframe"]["units"]["target"]["buffs"]["priority"] = "Blacklist,Personal,PlayerBuffs,Whitelist,blockNoDuration,nonPersonal"
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["b"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["g"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["colorBackdrop"]["r"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["transparent"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["customColor"]["useClassColor"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["height"] = 28
			E.db["unitframe"]["units"]["target"]["castbar"]["iconAttached"] = false
			E.db["unitframe"]["units"]["target"]["castbar"]["iconAttachedTo"] = "Castbar"
			E.db["unitframe"]["units"]["target"]["castbar"]["iconSize"] = 14
			E.db["unitframe"]["units"]["target"]["castbar"]["iconXOffset"] = 0
			E.db["unitframe"]["units"]["target"]["castbar"]["insideInfoPanel"] = false
			E.db["unitframe"]["units"]["target"]["castbar"]["overlayOnFrame"] = "Power"
			E.db["unitframe"]["units"]["target"]["castbar"]["strataAndLevel"]["frameLevel"] = 128
			E.db["unitframe"]["units"]["target"]["castbar"]["strataAndLevel"]["frameStrata"] = "MEDIUM"
			E.db["unitframe"]["units"]["target"]["castbar"]["strataAndLevel"]["useCustomStrata"] = true
			E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["b"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["g"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["textColor"]["r"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["timeToHold"] = 1
			E.db["unitframe"]["units"]["target"]["castbar"]["xOffsetText"] = 2
			E.db["unitframe"]["units"]["target"]["castbar"]["yOffsetText"] = 1
			E.db["unitframe"]["units"]["target"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["target"]["debuffs"]["anchorPoint"] = "TOPLEFT"
			E.db["unitframe"]["units"]["target"]["debuffs"]["attachTo"] = "FRAME"
			E.db["unitframe"]["units"]["target"]["debuffs"]["countFont"] = "Kimberley"
			E.db["unitframe"]["units"]["target"]["debuffs"]["maxDuration"] = 0
			E.db["unitframe"]["units"]["target"]["debuffs"]["priority"] = "Blacklist,Personal,nonPersonal"
			E.db["unitframe"]["units"]["target"]["fader"]["enable"] = false
			E.db["unitframe"]["units"]["target"]["healPrediction"]["absorbStyle"] = "REVERSED"
			E.db["unitframe"]["units"]["target"]["healPrediction"]["anchorPoint"] = "CENTER"
			E.db["unitframe"]["units"]["target"]["health"]["text_format"] = ""
			E.db["unitframe"]["units"]["target"]["health"]["xOffset"] = 0
			E.db["unitframe"]["units"]["target"]["name"]["position"] = "LEFT"
			E.db["unitframe"]["units"]["target"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["target"]["name"]["xOffset"] = 3
			E.db["unitframe"]["units"]["target"]["orientation"] = "LEFT"
			E.db["unitframe"]["units"]["target"]["portrait"]["camDistanceScale"] = 4.2
			E.db["unitframe"]["units"]["target"]["portrait"]["enable"] = true
			E.db["unitframe"]["units"]["target"]["portrait"]["fullOverlay"] = true
			E.db["unitframe"]["units"]["target"]["portrait"]["overlay"] = true
			E.db["unitframe"]["units"]["target"]["portrait"]["overlayAlpha"] = 0.3
			E.db["unitframe"]["units"]["target"]["portrait"]["rotation"] = 296
			E.db["unitframe"]["units"]["target"]["portrait"]["xOffset"] = 0.1
			E.db["unitframe"]["units"]["target"]["power"]["attachTextTo"] = "Power"
			E.db["unitframe"]["units"]["target"]["power"]["height"] = 14
			E.db["unitframe"]["units"]["target"]["power"]["position"] = "RIGHT"
			E.db["unitframe"]["units"]["target"]["power"]["text_format"] = ""
			E.db["unitframe"]["units"]["target"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["target"]["power"]["xOffset"] = 0
			E.db["unitframe"]["units"]["target"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["target"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["target"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["targettarget"]["colorOverride"] = "FORCE_OFF"
			E.db["unitframe"]["units"]["targettarget"]["debuffs"]["enable"] = false
			E.db["unitframe"]["units"]["targettarget"]["infoPanel"]["transparent"] = true
			E.db["unitframe"]["units"]["targettarget"]["name"]["text_format"] = ""
			E.db["unitframe"]["units"]["targettarget"]["power"]["width"] = "spaced"
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachTo"] = "CENTER"
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["attachToObject"] = "Health"
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["xOffset"] = 44
			E.db["unitframe"]["units"]["targettarget"]["raidicon"]["yOffset"] = 0
			E.db["unitframe"]["units"]["targettargettarget"]["debuffs"]["countFont"] = "Kimberley"
		end

		E:StaggeredUpdateAll(nil, true)
		ElvUI_EltreumUI:Print(L["Layout has been set."])
	end
end

function ElvUI_EltreumUI:AlternativeGroupsDPS()
	if ElvDB.profileKeys[E.mynameRealm] == "Eltreum DPS/Tank" then
		if not E.db.movers then E.db.movers = {} end
		E.db["movers"]["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,228,-322"
		E.db["movers"]["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,47,-337"
		E.db["movers"]["ElvUF_RaidMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,229,-327"
		E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 7
		E.db["unitframe"]["units"]["raid"]["groupsPerRowCol"] = 2
		E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 25
		E.db["unitframe"]["units"]["raid"]["numGroups"] = 4
		E.db["unitframe"]["units"]["raid"]["verticalSpacing"] = 0
		E.db["unitframe"]["units"]["raid"]["width"] = 120
		E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 7
		E.db["unitframe"]["units"]["raid40"]["groupsPerRowCol"] = 2
		E.db["unitframe"]["units"]["raid40"]["growthDirection"] = "DOWN_RIGHT"
		E.db["unitframe"]["units"]["raid40"]["height"] = 30
		E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 2
		E.db["unitframe"]["units"]["raid40"]["width"] = 120
		ElvUI_EltreumUI:Print('Alternative Group, Raid and Raid40 layout has been set')
		--ReloadUI()
	else
		ElvUI_EltreumUI:Print(L["The alternative layout was made for the Eltruism DPS/Tank profile, please switch to it to use it"])
	end
end

function ElvUI_EltreumUI:OriginalGroupsDPS()
	if ElvDB.profileKeys[E.mynameRealm] == "Eltreum DPS/Tank" then
		if not E.db.movers then E.db.movers = {} end
		E.db["movers"]["ElvUF_PartyMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,4,-247"
		E.db["movers"]["ElvUF_Raid40Mover"] = "TOPLEFT,ElvUIParent,TOPLEFT,0,1"
		E.db["movers"]["ElvUF_RaidMover"] = "TOPLEFT,ElvUIParent,TOPLEFT,0,1"
		E.db["unitframe"]["units"]["raid"]["groupSpacing"] = 7
		E.db["unitframe"]["units"]["raid"]["groupsPerRowCol"] = 4
		E.db["unitframe"]["units"]["raid"]["horizontalSpacing"] = 0
		E.db["unitframe"]["units"]["raid"]["numGroups"] = 4
		E.db["unitframe"]["units"]["raid"]["verticalSpacing"] = 0
		E.db["unitframe"]["units"]["raid"]["width"] = 120
		E.db["unitframe"]["units"]["raid40"]["groupSpacing"] = 7
		E.db["unitframe"]["units"]["raid40"]["groupsPerRowCol"] = 4
		E.db["unitframe"]["units"]["raid40"]["growthDirection"] = "DOWN_RIGHT"
		E.db["unitframe"]["units"]["raid40"]["height"] = 32
		E.db["unitframe"]["units"]["raid40"]["horizontalSpacing"] = 2
		E.db["unitframe"]["units"]["raid40"]["width"] = 120
		ElvUI_EltreumUI:Print('Alternative Group, Raid and Raid40 layout has been set')
		--ReloadUI()
	else
		ElvUI_EltreumUI:Print(L["The original layout was made for the Eltruism DPS/Tank profile, please switch to it to use it"])
	end
end
